Evolution-EWS 3.59.2 2026-01-30
-------------------------------

Bug Fixes:
	I#323 - m365: Disable Out of Office settings changes
	I#326 - Disable free/busy calendars for meeting conflict lookup by default
	eds-I#617 - Calendar: Prepare to support build with libical 4.x

Miscellaneous:
	m365: Camel: Read/write Answered/Forwarded message flags

Translations:
	Aurimas Aurimas Černius (lt)
	Martin (sl)
	Yuri Chornoivan (uk)

Evolution-EWS 3.59.1 2026-01-02
-------------------------------

Bug Fixes:
	I#319 - Free/Busy calendar limited by server
	I#321 - Camel: Implement CamelStore::get_inbox_folder()
	eds-I#8 - Adapt to libebook API changes

Miscellaneous:
	Lower default connection timeout to 15 seconds
	Adapt to libcamel API removals
	EWS: Try to extract error information from "Internal Server Error" response
	Calendar: Change Free/Busy calendar range in the calendar Properties
	flatpak: Add gettext ACLOCAL workaround
	Camel: Set IS_JUNK/IS_TRASH CamelFolder flags for Junk/Trash folders

Translations:
	Asier Saratsua Garmendia (eu)
	Aurimas Černius (lt)
	Danil Gashigullin (ru)
	Ekaterine Papava (ka)
	Emin Tufan Çetin (tr)
	Juliano de Souza Camargo (pt_BR)
	Martin (sl)
	Piotr Drąg (pl)
	Sabri Ünal (tr)
	twlvnn kraftwerk (bg)
	Yuri Chornoivan (uk)

Evolution-EWS 3.58.0 2025-09-12
-------------------------------

Bug Fixes:
	I#314 - m365: "Follow up" status not set

Translations:
	Anders Jonsson (sv)
	Balázs Úr (hu)
	Daniel Rusek (cs)
	Juliano de Souza Camargo (pt_BR)
	Martin (sl)
	Yuri Chornoivan (uk)

Evolution-EWS 3.57.3 2025-08-29
-------------------------------

Bug Fixes:
	I#312 - m365: E-mails/folders not always in sync with the server
	I#313 - m365: Better detect when delta token is rejected by the server

Translations:
	Asier Saratsua Garmendia (eu)
	Balázs Úr (hu)
	Juliano de Souza Camargo (pt_BR)
	Piotr Drąg (pl)

Evolution-EWS 3.57.2 2025-08-01
-------------------------------

Bug Fixes:
	I#304 - m365: Allow setting Out of Office message

Miscellaneous:
	Adapt to libcamel API changes

Translations:
	Martin (sl)
	Yuri Chornoivan (uk)

Evolution-EWS 3.57.1 2025-06-27
-------------------------------

Bug Fixes:
	I#298 - m365: Empty Junk and then Empty Trash produces error
	I#301 - m365: Cannot unset message label
	I#303 - m365: Also load photos of Organizational Users
	I#306 - Cannot accept meeting invitations (duplicated attendee)
	I#307 - m365: GOA account rejects creating meetings
	I#308 - Foreign Folders: Look up DisplayName for GUID-like Mailbox Name

Miscellaneous:
	m365: Propagate proxy settings to all connections
	Adapt to Camel API changes
	Reference CamelProvider struct members by name in initialization

Translations:
	Asier Saratsua Garmendia (eu)
	Boyuan Yang (zh_CN)
	Ekaterine Papava (ka)
	Emin Tufan Çetin (tr)
	Juliano de Souza Camargo (pt_BR)
	Martin (sl)
	Vincent Chatelain (fr)
	Yuri Chornoivan (uk)

Evolution-EWS 3.56.0 2025-03-14
-------------------------------

Translations:
	Anders Jonsson (sv)
	Álvaro Burns (pt_BR)
	Balázs Úr (hu)
	Piotr Drąg (pl)
	Sabri Ünal (tr)

Evolution-EWS 3.55.3 2025-02-28
-------------------------------

Bug Fixes:
	I#296 - m365: "Empty Trash" does not empty "Deleted Items" folder
	I#297 - m365: Deleted folders should not show under Deleted Items

Miscellaneous:
	m365: Fix bugs in calendar permissions dialog
	m365: Transform ItemNotFound error to Camel's InvalidUID error in folder's get_message()

Translations:
	Ekaterine Papava (ka)
	Jiri Eischmann (cs)
	Jürgen Benvenuti (de)
	Martin (sl)
	Yuri Chornoivan (uk)

Evolution-EWS 3.55.2 2025-01-31
-------------------------------

Bug Fixes:
	I#285 - m365: Search Organization contacts by default
	I#293 - m365: Contacts: Ignore name part of an EMAIL attribute
	I#295 - Calendar: Import of forwarded meeting as bare event

Miscellaneous:
	Check GSettings schemas not owned by the evolution-ews exist before using them
	m365: Read "Recent contacts" from the server
	m365: Allow edit of calendar permissions

Translations:
	Martin (sl)
	Rafael Fontenelle (pt_BR)
	Yuri Chornoivan (uk)

Evolution-EWS 3.55.1 2025-01-03
-------------------------------

Bug Fixes:
	I#281 - m365: Mails do not have set size in summary
	I#282 - m365: Fails to save a message in the Drafts folder
	I#284 - m365: Cannot delete instance of a recurring event
	I#287 - m365: Calendar color reset on calendar list refresh
	I#289 - m365: Calendar: Incomplete importing and floating time zone issue
	I#292 - Calendar: Import of event with DURATION incorrect
	M!13 - Set project-wide emacs formatting rules (Дилян Палаузов)
	eds-I#570 - Adapt to libical icalrecurrencetype changes

Miscellaneous:
	m365: Camel: Correct message ID calculation for folder summary
	m365: Read 'bodyPreview' for mail messages
	m365: Handle SyncStateNotFound error
	m365: Fix cancel of an instance of a recurring meeting
	build: Update CMake uninstall file
	Adapt to GtkUIManager removal from Evolution

Translations:
	Daniel Rusek (cs)
	Милош Поповић (sr)
	Милош Поповић (sr@latin)
	Juliano de Souza Camargo (pt_BR)
	Jürgen Benvenuti (de)

Evolution-EWS 3.54.0 2024-09-13
-------------------------------

Translations:
	Alan Mortensen (da)
	Anders Jonsson (sv)
	Bruce Cowan (en_GB)
	Piotr Drąg (pl)
	Sabri Ünal (tr)

Evolution-EWS 3.53.3 2024-08-30
-------------------------------

Translations:
	Asier Sarasua Garmendia (eu)
	Balázs Úr (hu)
	Juliano de Souza Camargo (pt_BR)

Evolution-EWS 3.53.2 2024-08-02
-------------------------------

Bug Fixes:
	I#276 - m365: Slow search with "Message contains"
	I#277 - Contacts: Offline GAL not searched with "manual query" views
	I#278 - m365: Workaround MIME send server's reencode with forced base64
	M!11 - OAuth2: Implement prompter cookie interface for Intune support (Felix Moessbauer)

Miscellaneous:
	CI: Update dependencies in the Flatpak manifest
	m365: Calendar: Ability to create Online meeting
	Misc: Extract common code into a new shared library

Translations:
	Boyuan Yang (zh_CN)
	Jürgen Benvenuti (de)
	Martin (sl)
	Yuri Chornoivan (uk)

Evolution-EWS 3.53.1 2024-06-28
-------------------------------

Bug Fixes:
	I#263 - Misspelling of "than" in translatable string
	I#267 - m365: Accepting event sends mail to each recipient
	I#273 - m365: Cannot import ICS calendar file
	I#274 - m365: A removed task in the web app is not removed in Evolution
	I#275 - Mails sent only to the first recipient in the list
	eds-I#518 - WebDAV: Handle `Retry-After` header on 503 error
	evo-I#2230 - Configurable timeout for WebDAV sources
	evo-I#2687 - Calendar: Allow entering cancellation reason on meeting deletion

Miscellaneous:
	Do not include buildir in libecalbackendews.so
	m365: Calendar: Correct read of file attachments
	m365: Calendar: Read detached and deleted instances of event series
	m365: Calendar: Write detached and deleted instances of event series
	m365: Calendar: Fix a memory leak when loading event/task
	m365 Camel: Auto-save store summary on folder count changes
	m365 Camel: Send messages as MIME data
	m365: Fix a memory leak in m365_folder_merge_server_user_flags()
	CI: Workaround broken git clone for libcanberra

Translations:
	Andika Triwidada (id)
	Aurimas Černius (lt)
	Bruce Cowan (en_GB)
	Daniel Rusek (cs)
	Ekaterine Papava (ka)
	Jürgen Benvenuti (de)
	Martin (sl)
	Sabri Ünal (tr)
	Yuri Chornoivan (uk)

Evolution-EWS 3.52.0 2024-03-15
-------------------------------

Bug Fixes:
	I#264 - Use OAuth2 protocol 2.0 by default

Miscellaneous:
	build: Correct overlinking on the m365 part
	SetupBuildFlags.cmake: Remove "-Wl,--no-undefined" from compiler flags
	Replace https://wiki.gnome.org/Apps/Evolution in the sources

Translations:
	Alan Mortensen (da)
	Balázs Úr (hu)
	Daniel Rusek (cs)
	Piotr Drąg (pl)
	Rūdolfs Mazurs (lv)

Evolution-EWS 3.51.3 2024-03-01
-------------------------------

Bug Fixes:
	I#259 - Retract dialog can duplicate cancellation mails
	I#260 - Do not change organizer when adding meeting from mail
	I#261 - Impersonate mailbox uses original user's connection
	eds-I#522 - build: Make sure tests run in serial

Translations:
	Anders Jonsson (sv)
	Asier Sarasua Garmendia (eu)
	Sabri Ünal (tr)

Evolution-EWS 3.51.2 2024-02-09
-------------------------------

Bug Fixes:
	I#256 - Calendar: Store "Web page" in ExtendedProperty

Miscellaneous:
	build: Bump CMake version requirement to 3.15

Translations:
	Pavel Koulikov (ru)

Evolution-EWS 3.51.1 2024-01-05
-------------------------------

Bug Fixes:
	I#245 - Enable Microsoft365 (Microsoft Graph API) part in preview mode
	I#246 - Search in online GAL when OAB is misconfigured
	I#247 - Text from .error file not translated in the GUI
	I#248 - Calendar: Don't convert UTC times to local timezone
	I#250 - Mail: Calendar attachments can be broken by the server
	I#251 - Workaround Outlook 2019 ORGANIZER and ATTENDEE addition into plain events
	evo-I#935 - Camel: Populate message preview with server-side value
	M!9 - Fix scope for OAuth2 v2 being hard-coded to O365 (Mara Sophie Grosch)

Miscellaneous:
	build: Use -Wshadow build option, if available
	Microsoft365: Read Organizational Contacts and Users
	Update Flatpak manifest

Translations:
	Alan Mortensen (da)
	Boyuan Yang (zh_CN)
	Florentina Mușat (ro)
	Jürgen Benvenuti (de)
	Kukuh Syafaat (id)
	Martin (sl)
	Sabri Ünal (tr)
	Yuri Chornoivan (uk)

Evolution-EWS 3.50.0 2023-09-15
-------------------------------

Miscellaneous:
	Calendar: Unlock connection lock before refreshing the calendar on component load
	ci: Rename org.gnome.evolution-ews.nightly to org.gnome.EvolutionEws.Devel

Translations:
	Aurimas Černius (lt)
	Daniel Rusek (cs)
	Martin Srebotnjak (sl)

Evolution-EWS 3.49.3 2023-09-01
-------------------------------

Bug Fixes:
	I#241 - Ask for credentials when access token refresh fails

Miscellaneous:
	EWS calendar: Do not link against Evolution libraries

Translations:
	Anders Jonsson (sv)
	Boyuan Yang (zh_CN)
	Jürgen Benvenuti (de)
	Sabri Ünal (tr)

Evolution-EWS 3.49.2 2023-08-04
-------------------------------

Bug Fixes:
	I#238 - Parse XML responses in recovery mode
	I#242 - Calendar: Provide user comments in the invitation response
	eds-I#59 - CalDAV: Allow to disable schedule reply on remove
	eds-I#180 - Add option to reduce book/cal data usage when on a metered connection

Miscellaneous:
	OALComboBox: Always prefer collection ESource when fetching list of OABs

Translations:
	Balázs Úr (hu)
	Danial Behzadi (fa)

Evolution-EWS 3.49.1 2023-06-30
-------------------------------

Bug Fixes:
	I#225 - Mail: Add per-folder option to always check for new mail
	I#232 - Sometimes fails to delete recurring event occurrence
	I#234 - Ask for OAuth2 credentials for autodiscovery

Miscellaneous:
	DOAP: Update mailing-list URL; add link to Discourse support-forum (Andre Klapper)
	CI: Use org.freedesktop.Sdk.Extension.vala in nightly flatpak manifest

Translations:
	Andika Triwidada (id)
	Asier Sarasua Garmendia (eu)
	Enrico Nicoletto (pt_BR)
	Hugo Carvalho (pt)
	Jiri Eischmann (cs)
	Мирослав Николић (sr)
	Piotr Drąg (pl)
	Sabri Ünal (tr)
	Sergej A (ru)
	Yuri Chornoivan (uk)

Evolution-EWS 3.48.0 2023-03-17
-------------------------------

Translations:
	Piotr Drąg (pl)
	Sabri Ünal (tr)

Evolution-EWS 3.47.3 2023-03-03
-------------------------------

Bug Fixes:
	I#223 - OAuth2: Add option to use version 2.0 of the API

Translations:
	Anders Jonsson (sv)
	Aurimas Černius (lt)
	Balázs Úr (hu)
	Jürgen Benvenuti (de)
	Sabri Ünal (tr)
	Yuri Chornoivan (uk)

Evolution-EWS 3.47.2 2023-02-10
-------------------------------

Bug Fixes:
	I#210 - Add option to always use HTTP/1
	I#211 - Calendar: Cover possible ID conversion for Online meetings
	I#216 - Calendar: Ensure TimeZone info in SOAP-header request
	I#219 - Disabled sources auto-re-enabled the next start
	I#220 - Calendar: Convert floating time to user's timezone on save
	I#221 - Subscribed free/busy calendar does not show all events

Miscellaneous:
	Enable GitLab CI for easier testing of the changes
	Remove duplicated OAuth2 code
	Sanitize headers in debug log also for level 1

Translations:
	Alan Mortensen (da)
	Anders Jonsson (sv)
	Goran Vidović (hr)
	Piotr Drąg (pl)
	Sabri Ünal (tr)
	Yuri Chornoivan (uk)

Evolution-EWS 3.47.1 2023-01-06
-------------------------------

Bug Fixes:
	I#153 - Limit Subject/Summary/Location text length
	I#201 - EWS: Subscription with subfolders doesn't find subfolders
	I#206 - Can't change Authentication Method back to NTLM

Miscellaneous:
	Handle negative value for GUri's port
	ews_store_subscribe_folder_sync: Turn two runtime warnings into regular errors
	Microsoft365: Use 'To-Do' API for tasks
	EwsConnect: Early stop a response traversal
	ESoapResponse: Allow NULL for some traversal functions
	ebb_ews_mailbox_to_contact: Fix a memory leak
	Microsoft365: Implement raw MIME message upload
	Microsoft365: Correct task Due and Completed date read
	EEwsPhotoSource: Do not use GTask thread pool, but use its own serialized pool
	Camel: Remove invalid 'else' in ews_get_folder_info_sync()
	EWS: GetFolderPermissions response lost
	EEwsNotification: Re-subscribe when current subscription fails
	Fix visibility of "Subscribe to folder of other EWS user" menu option
	Fix a small memory leak when updating EWS foreign subfolders
	Correct response read of SetUserOofSettingsRequest
	EEwsOooNotificator: Change how timeout callback is removed
	EEwsOooNotificator: Simplify response code to the alert
	Subscribe foreign folder dialog does not close on success
	EEwsSearchUser: Fix a small memory leak
	ecb_ews_get_timezone: Check for non-NULL `tzid` to avoid runtime warning

Translations:
	Alan Mortensen (da)
	Anders Jonsson (sv)
	Asier Sarasua Garmendia (eu)
	Balázs Úr (hu)
	Goran Vidović (hr)
	Hugo Carvalho (pt)
	Jürgen Benvenuti (de)
	Kukuh Syafaat (id)
	Мирослав Николић (sr)
	Nathan Follens (nl)
	Piotr Drąg (pl)
	Rafael Fontenelle (pt_BR)
	Yuri Chornoivan (uk)

Evolution-EWS 3.46.0 2022-09-16
-------------------------------

Translations:
	Emin Tufan Çetin (tr)
	Enrico Nicoletto (pt_BR)

Evolution-EWS 3.45.3 2022-09-02
-------------------------------

Translations:
	Balázs Úr (hu)
	Boyuan Yang (zh_CN)
	Goran Vidović (hr)

Evolution-EWS 3.45.2 2022-08-05
-------------------------------

Bug Fixes:
	I#89 - Calendar: Ability to create Online meeting
	I#191 - Calendar: Fix occurrence index counter

Miscellaneous:
	Remove false runtime check in ews_connection_notification_start_thread()
	Microsoft365: Split iCalendar component manipulation code into separate file
	Use uhttpmock 0.9 for internal tests

Translations:
	Anders Jonsson (sv)
	Jürgen Benvenuti (de)
	Kukuh Syafaat (id)
	Piotr Drąg (pl)
	Yuri Chornoivan (uk)

Evolution-EWS 3.45.1 2022-07-01
-------------------------------

 * The Evolution-EWS had been ported to libsoup3, which means anything what
   uses it, and all of its dependencies, should be libsoup3 too.

Bug Fixes:
	I#178 - Correct display of folder size
	I#189 - Specify FolderClass when creating generic folder only
	M!6 - Port to libsoup3
	M!8 - Typos: dont -> don't (Дилян Палаузов)

Miscellaneous:
	Address some of the static analyzers warnings
	build: Limit which parts link to the evolution libraries (and gtk+)
	EWS registry backend: Handle gracefully when Host URL is not set
	EEwsConnection: try_credentials() may end with 'Forbidden' error
	Addressbook: Re-use authenticated connection for OAB operations

Translations:
	Alan Mortensen (da)
	Anders Jonsson (sv)
	Boyuan Yang (zh_CN)
	Jürgen Benvenuti (de)
	Nathan Follens (nl)
	Piotr Drąg (pl)
	Rafael Fontenelle (pt_BR)
	Yuri Chornoivan (uk)
	Мирослав Николић (sr)

Evolution-EWS 3.44.0 2022-03-18
-------------------------------

Translations:
	Asier Sarasua Garmendia (eu)
	Balázs Úr (hu)
	Dušan Kazik (sk)
	Emin Tufan Çetin (tr)
	Jordi Mas i Hernandez (ca)

Evolution-EWS 3.43.3 2022-03-04
-------------------------------

Bug Fixes:
	M!7 - OAuth2: Remove prompt=login parameter from auth URL (Brian J. Murrell)

Evolution-EWS 3.43.2 2022-02-11
-------------------------------

Bug Fixes:
	I#77 - Can sometimes stop listening for server notifications

Miscellaneous:
	Misc: Correct response print in debug output
	Retry on Unauthorized response when server disconnected
	e-ews-connection: Clear cached connection before sending a request

Translations:
	Daniel Mustieles (es)
	Daniel Șerbănescu (ro)

Evolution-EWS 3.43.1 2022-01-07
-------------------------------

Bug Fixes:
	I#3 - Contacts: Retrieve user certificate
	I#163 - GAL: Postpone user photo download
	I#165 - Contacts: Support categories
	I#166 - Unable to set follow-up flag without a due date
	I#174 - Silently retry on I/O errors (like 'Connection terminated unexpectedly')
	evo-I#1637 - EMailAutoconfig: Autoconfig with Exchange accounts

Miscellaneous:
	ConfigLookup: Change values saved to the lookup result
	ConfigLookup: Remove duplicated 'if'
	Addressbook: Fix two memory leaks
	Use `g_assert_true()` instead of `g_assert()` in the unit tests
	Misc: Hide some headers' value in EWS_DEBUG=2 output

Translations:
	Anders Jonsson (sv)
	Andika Triwidada (id)
	Aurimas Černius (lt)
	Enrico Nicoletto (pt_BR)
	Goran Vidović (hr)
	Jordi Mas (ca)
	Marek Černocký (cs)
	Piotr Drąg (pl)
	Yuri Chornoivan (uk)
	Мирослав Николић (sr)

Evolution-EWS 3.42.0 2021-09-17
-------------------------------

Translations:
	Aurimas Černius (lt)
	Nathan Follens (nl)
	Balázs Úr (hu)

Evolution-EWS 3.41.3 2021-09-03
-------------------------------

Miscellaneous:
	EEwsConnection: Release queue lock as soon as possible in ews_next_request() (Milan Crha)

Translations:
	Rodrigo Lledó (es)
	Marek Černocký (cs)

Evolution-EWS 3.41.2 2021-08-13
-------------------------------

Miscellaneous:
	Adapt to e_alert_add_action() API change (Milan Crha)
	ESoupAuthNegotiate: Improve thread safety (Milan Crha)
	ESoupAuthNegotiate: Fix two memory leaks (Milan Crha)

Translations:
	Andika Triwidada (id)

Evolution-EWS 3.41.1 2021-07-09
-------------------------------

Bug Fixes:
	I#150 - Mail: Message redirect sends also to original Cc/Bcc (Milan Crha)
	I#151 - Calendar: Teams meeting may have invalid timezone information (Milan Crha)
	I#152 - Declining Single Calendar Event Results in Declining the Whole Series (Milan Crha)
	I#154 - Add an option to reset sync tags (Milan Crha)
	I#155 - Contacts: Birthday/Anniversary before Epoch ignored (Milan Crha)
	I#156 - Set FolderClass when creating a new folder (Milan Crha)
	I#157 - Mail: Do not re-encode message on append (Milan Crha)
	eds-M!68 - SetupBuildFlags.cmake: Correct testing of two compiler/linker build flags (Matt Turner)

Miscellaneous:
	PrintableOptions.cmake: Correct variable name comparison (Milan Crha)
	Calendar: Clamp the timezone component when saving meeting time (Milan Crha)

Translations:
	Alexey Rubtsov (ru)
	Anders Jonsson (sv)
	Asier Sarasua Garmendia (eu)
	Daniel Șerbănescu (ro)
	Gianvito Cavasoli (it)
	Nathan Follens (nl)
	Piotr Drąg (pl)
	Rafael Fontenelle (pt_BR)
	Yuri Chornoivan (uk)
	Мирослав Николић (sr)

Evolution-EWS 3.40.0 2021-03-19
-------------------------------

Translations:
	Enrico Nicoletto (pt_BR)
	Alan Mortensen (da)
	Marek Černocký (cs)
	Balázs Úr (hu)
	Johannes Maibaum (de)

Evolution-EWS 3.39.3 2021-03-12
-------------------------------

Bug Fixes:
	I#144 - Calendar: Dismiss of a reminder doesn't provide recurrence ID (Milan Crha)
	I#145 - Calendar: Cannot create event with reminder "at the start" (Milan Crha)
	M!5 - Correct typos in a/an (Дилян Палаузов)

Miscellaneous:
	CMake: Add FORCE_INSTALL_PREFIX compile time option (Milan Crha)
	Allocate large-enough buffer for g_base64_decode_step() (Milan Crha)

Translations:
	Balázs Úr (hu)
	Daniel Mustieles (es)
	Emin Tufan Çetin (tr)
	Yuri Chornoivan (uk)
	Anders Jonsson (sv)
	Kukuh Syafaat (id)
	Piotr Drąg (pl)
	Aurimas Černius (lt)
	Philipp Kiemle (de)

Evolution-EWS 3.39.2 2021-02-12
-------------------------------

Bug Fixes:
	I#140 - Calendar: Do not add organizer as the only attendee in Import (Milan Crha)
	I#141 - Mail: Drop to account name hides dragged folder (Milan Crha)

Miscellaneous:
	Sync GLibTools.cmake with Evolution-Data-Server (Milan Crha)
	e-ews-notification: Add thread safety around get_events thread (Milan Crha)

Translations:
	Jordi Mas (ca)
	Anders Jonsson (sv)
	Мирослав Николић (sr)

Evolution-EWS 3.39.1 2021-01-08
-------------------------------

Bug Fixes:
	I#90 - Handle share folder invitation mails (Milan Crha)
	I#120 - Created public folder not visible after restart (Milan Crha)
	I#121 - Allow change of the Microsoft 365 OAuth2 endpoints (Milan Crha)
	I#123 - Show HTML Description in calendar entries, when available (Milan Crha)
	I#132 - Server-side deleted calendar does not disappear (Milan Crha)
	eds-I#281 - GLibTools.cmake: Use basename in glib-mkenums templates (Milan Crha)
	eds-I#286 - Skip collection account refresh when parts disabled (Milan Crha)
	evo-I#1097 - Provide HTML invitation description, when available (Milan Crha)

Miscellaneous:
	EEwsConfigLookup: Harmonize a translatable string with Evolution (Milan Crha)
	Allow OAuth2 for any server, not only for outlook.office365.com (Milan Crha)
	Listen for change notifications only on user folders (Milan Crha)
	Flip Application ID and Tenant ID in the OAuth2 properties (Milan Crha)
	Simplify code around OAuth2 processing (Milan Crha)
	Preset OAuth2 Client ID for Office365 (EWS) (Milan Crha)
	Calendar: Copy 'X-MICROSOFT-SKYPETEAMSMEETINGURL' into 'URL' property (Milan Crha)
	Bump glib requirement to 2.62, due to used functions from that version (Milan Crha)
	Fix new compiler warnings introduced by GLib minimum version bump (Milan Crha)
	Prefill compile-time OAuth2 settings, to be shown in the GUI (Milan Crha)
	GLibTools.cmake: Generate signal marshallers without source reference (Milan Crha)
	EEwsNotification: Use proxy settings from the connection object (Milan Crha)

Translations:
	Goran Vidović (hr)
	Yuri Chornoivan (uk)
	Piotr Drąg (pl)
	Daniel Mustieles (es)
	Marek Černocký (cs)
	Andika Triwidada (id)
	Anders Jonsson (sv)
	Aurimas Černius (lt)
	Henrique Machado Campos (pt_BR)
	Enrico Nicoletto (pt_BR)
	Jordi Mas (ca)
	Jordi Mas i Hernandez (ca)

Evolution-EWS 3.38.0 2020-09-11
-------------------------------

Translations:
	Mario Blättermann (de)
	Aurimas Černius (lt)

Evolution-EWS 3.37.92 2020-09-04
--------------------------------

Bug Fixes:
	I#117 - Task completion date shifted by user's zone UTC offset (Milan Crha)
	I#118 - Camel: Claim required credentials when authentication fails (Milan Crha)
	eds-I#208 - Avoid race condition when refreshing collection backend (Milan Crha)

Translations:
	Yuri Chornoivan (uk)
	Zander Brown (en_GB)
	Piotr Drąg (pl)
	Daniel Mustieles (es)
	Rafael Fontenelle (pt_BR)

Evolution-EWS 3.37.90 2020-08-07
--------------------------------

Bug Fixes:
	I#66 - Adapt the timezones test (Milan Crha)
	I#66 - Correct how tests use uhttpmock (Milan Crha)
	I#111 - Correct license comments in the source files (Milan Crha)

Miscellaneous:
	Provided SoupAuth might not be always used by libsoup (Milan Crha)
	Add (disabled by default) Microsoft 365 (Graph API) connector (Milan Crha)

Evolution-EWS 3.37.3 2020-07-03
-------------------------------

Bug Fixes:
	evo-I#982 - 'Message contains'-search broken in 3.36.3 (Milan Crha)

Miscellaneous:
	PrintableOptions.cmake: Sync the file with Evolution changes (Milan Crha)
	camel_ews_folder_new: Remove useless reference on the CamelSettings (Milan Crha)

Translations:
	Daniel Șerbănescu (ro)

Evolution-EWS 3.37.2 2020-05-29
-------------------------------

Bug Fixes:
	I#99 - All-day events date shown by one day off (Milan Crha)
	I#102 - Hidden folders are displayed normally in the UI (Milan Crha)
	I#103 - Can't subscribe to a folder of a user whom is not in GAL (Milan Crha)

Miscellaneous:
	SetupBuildFlags.cmake: Use -Werror=implicit-function-declaration only for C code compilation (Milan Crha)
	EEwsNotification: Change how subscription to server change notifications work (Milan Crha)
	Add parameter check into ews_get_error_code() (Milan Crha)

Evolution-EWS 3.37.1 2020-04-24
-------------------------------

Bug Fixes:
	I#45 - Event time shifted by an hour after edit for some time zones (Milan Crha)
	evo-I#831 - Free/Busy times are not in UTC (Milan Crha)

Translations:
	Goran Vidović (hr)
	Yuri Chornoivan (uk)
	Aurimas Černius (lt)

Evolution-EWS 3.36.0 2020-03-06
-------------------------------

Miscellaneous:
	No code/translation changes

Evolution-EWS 3.35.92 2020-02-28
--------------------------------

Translations:
	Anders Jonsson (sv)
	Rafael Fontenelle (pt_BR)
	Serdar Sağlam (tr)
	Balázs Úr (hu)
	Nathan Follens (nl)

Evolution-EWS 3.35.91 2020-02-14
--------------------------------

Bug Fixes:
	I#77 - Can sometimes stop listening for server notifications (Milan Crha)
	I#84 - Fails to create event with no duration (Milan Crha)
	I#85 - Map 'tzone://Microsoft/Utc' to libical's 'UTC' (Milan Crha)

Miscellaneous:
	Mark connection disconnected only when disconnecting backend/store (Milan Crha)

Translations:
	Kukuh Syafaat (id)

Evolution-EWS 3.35.90 2020-01-31
--------------------------------

Bug Fixes:
	Bug 731454 - Add option to set number of concurrent connections to use (Milan Crha)
	I#61 - Add option to show public folders beside user folders (Milan Crha)
	I#67 - Be able to edit display name of a calendar (Milan Crha)
	I#78 - Verify also URL validity in account settings (Milan Crha)

Miscellaneous:
	Allow enter distinguished folder names when subscribing to other user's folder (Milan Crha)
	Prefer GSlice over heap allocation for short-lived structures (Milan Crha)

Translations:
	Daniel Mustieles (es)
	Piotr Drąg (pl)
	Kukuh Syafaat (id)

Evolution-EWS 3.35.3 2020-01-03
-------------------------------

Bug Fixes:
	I#81 - Attachment flag not shown on messages with attachment (Milan Crha)

Translations:
	Rafael Fontenelle (pt_BR)

Evolution-EWS 3.35.2 2019-11-22
-------------------------------

Bug Fixes:
	I#52 - Disable iTip message send when copy/move meeting between calendars (Milan Crha)
	I#70 - Fails to delete one instance of a recurring event (Milan Crha)

Miscellaneous:
	Reject creating meetings organized by other users (Milan Crha)
	Some meetings shown as plain events (Milan Crha)
	Disconnect signal handlers on connection object in dispose of book/calendar backend (Milan Crha)

Translations:
	Jordi Mas (ca)
	Piotr Drąg (pl)
	Daniel Mustieles (es)
	Anders Jonsson (sv)
	Andika Triwidada (id)

Evolution-EWS 3.35.1 2019-10-11
-------------------------------

Bug Fixes:
	I#64 - "Listen for server notifications" does not work with OAuth2 (Milan Crha)
	I#65 - "High priority" flag ignored on message send (Milan Crha)
	I#66 - Update list of unknown timezones for a unit test (Milan Crha)
	I#69 - Send meeting change notifications only if being the organizer (Milan Crha)
	I#71 - Color/Score assigned by filter lost on message move (Milan Crha)

Miscellaneous:
	Prefill email address as user name when creating new account (Milan Crha)
	Autodiscover: Do not change user name with RedirectAddr (Milan Crha)

Translations:
	Марко Костић (sr)
	Asier Sarasua Garmendia (eu)

Evolution-EWS 3.34.0 2019-09-09
-------------------------------

Miscellaneous:
	No code/translation changes

Evolution-EWS 3.33.92 2019-09-02
--------------------------------

Bug Fixes:
	I#60 - Messages deleted in public folders cannot be moved to Deleted Items (Milan Crha)

Miscellaneous:
	Fix a memory leak in camel_ews_store_ensure_virtual_folders() (Milan Crha)

Translations:
	Anders Jonsson (sv)
	Bruce Cowan (en_GB)
	Petr Kovář (cs)

Evolution-EWS 3.33.91 2019-08-19
--------------------------------

Bug Fixes:
	I#55 - Consider mail aliases when searching for an attendee property (Milan Crha)
	I#56 - README: Correct typo (bby-bishopclark)
	I#57 - Birthday date of Contact depends on system timezone (Milan Crha)
	evo-I#568 - Set GtkLabel's width-chars when using line-wrap (Milan Crha)

Evolution-EWS 3.33.90 2019-08-05
--------------------------------

Translations:
	Rafael Fontenelle (pt_BR)

Evolution-EWS 3.33.4 2019-07-15
-------------------------------

Bug Fixes:
	I#53 - Add support for "redirectAddr" in autodiscovery (Milan Crha)
	M!3 - Prefer g_string_append_c() over g_string_append() (Дилян Палаузов)
	M!4 - Ignore the return value of g_string_append() (Дилян Палаузов)

Miscellaneous:
	Fix few memory leaks in e_cal_backend_ews_rid_to_index() (Milan Crha)
	Count with an ICalTimezone without internal component in ewscal_set_availability_timezone() (Milan Crha)
	Categories property cannot be deleted (Milan Crha)

Translations:
	Daniel Mustieles (es)
	Kukuh Syafaat (id)

Evolution-EWS 3.33.3 2019-06-17
-------------------------------

Bug Fixes:
	I#42 - Check also DNS SRV _autodiscover._tcp during autodiscover (Milan Crha)
	I#49 - Test suite is failing (Milan Crha)
	eds-I#120 - Fails to build with libasan using Clang (undefined symbols) (Milan Crha)
	eds-M!15 - Fix typos in CMake modules (Дилян Палаузов)

Miscellaneous:
	Fix issues found during 'make check' (Milan Crha)
	Fix some compiler warnings reported by Clang in the test code (Milan Crha)

Translations:
	Balázs Úr (hu)

Evolution-EWS 3.33.2 2019-05-20
-------------------------------

Bug Fixes:
	eds-M!14 - Correct typo in a comment in the main CMakeLists.txt (Дилян Палаузов)

Miscellaneous:
	Add refresh interval options to non-mail sources (Milan Crha)
	Port to libecal-2.0 and adapt to address book API changes (Milan Crha)

Translations:
	Daniel Mustieles (es)
	Piotr Drąg (pl)

Evolution-EWS 3.33.1 2019-04-22
-------------------------------

Bug Fixes:
	I#39 - Let handle recurring task completion by the server (Milan Crha)
	I#41 - Unreachable EWS service causes Calendar(s) to disappear (Milan Crha)
	M!1 - Simplify OAuth2 for outlook.office365.com server (Luca Boccassi)
	M!2 - Correct memory leak and typo in e_ews_autodiscover_ws_url() (Дилян Палаузов)
	eds-I#94 - Remove -Wabi from the default C++ warning flags (Milan Crha)

Miscellaneous:
	Use lower-case "mailto:" consistently in the code (Milan Crha)

Translations:
	Марко Костић (sr)
	Tim Sabsch (de)
	Rafael Fontenelle (pt_BR)
	Piotr Drąg (pl)
	Kukuh Syafaat (id)

Evolution-EWS 3.32.0 2019-03-11
-------------------------------

Translations:
	Nathan Follens (nl)

Evolution-EWS 3.31.91 2019-02-18
--------------------------------

Miscellaneous:
	Implement 'exists' ESExp function in the book backend (Milan Crha)

Evolution-EWS 3.31.90 2019-02-04
--------------------------------

Bug Fixes:
	I#25 - Canceled meetings remain in the calendar with Canceled: title (Milan Crha)
	I#30 - Double values should use dot as decimal separator in XML (Milan Crha)
	I#31 - Duplicate attendees in meetings from Office365.com (Milan Crha)
	I#32 - Run ResolveNames for "Any field contains" searches (Milan Crha)

Miscellaneous:
	Use also -DCAMEL_DISABLE_DEPRECATED=1 in the maintainer mode (Milan Crha)

Translations:
	Balázs Úr (hu)

Evolution-EWS 3.31.4 2019-01-07
-------------------------------

Translations:
	Anders Jonsson (sv)

Evolution-EWS 3.31.3 2018-12-10
-------------------------------

Bug Fixes:
	eds-I#54 - Enable 'Listen for server change notifications' by default (Milan Crha)
	I#27 - SSL Certificates are not validated (Milan Crha)

Miscellaneous:
	Fix a build break with glib pre-2.54 and bump libsoup version to 2.58 (Milan Crha)
	Correct how extra compiler warnings are used in the maintainer mode (Milan Crha)

Translations:
	Kukuh Syafaat (id)
	Rafael Fontenelle (pt_BR)
	Aurimas Černius (lt)

Evolution-EWS 3.31.2 2018-11-12
-------------------------------

Bug Fixes:
	I#17 - [Calendar] Retry item download on ErrorBatchProcessingStopped error (Milan Crha)
	I#18 - Crashes when reading EWS Global Address List (Milan Crha)
	I#23 - Autodiscovery uses EXCH URLs instead of EXPR (Milan Crha)
	I#24 - Sync CategoryList with mail Labels (Milan Crha)

Miscellaneous:
	Make sure intltool-merge cache is created only once (Milan Crha)

Translations:
	Piotr Drąg (pl)
	Marek Cernocky (cs)
	Rafael Fontenelle (pt_BR)
	Anders Jonsson (sv)
	Matej Urbančič (sl)
	Daniel Mustieles (es)
	Alan Mortensen (da)

Evolution-EWS 3.31.1 2018-10-08
-------------------------------

Bug Fixes:
	I#8 - Handle 'Persistent-Auth: false' when provided by the server (Milan Crha)
	I#14 - Let edit Permissions of root message folder (Milan Crha)
	I#19 - Country is forgotten along the way to exchange server (Milan Crha)
	I#21 - Meeting with attachment cannot be saved in 2010 (Milan Crha)

Miscellaneous:
	Calendar invites added with the wrong time zone (Milan Crha)
	Fix an invalid unref call and a memory leak of an EEwsConnection object (Milan Crha)
	Enable only Notification reminders in the calendar (Milan Crha)
	Treat 'Unknown' ResponseType as Needs-Action (Milan Crha)
	Collection backend schedules two 'populate' requests after going online (Milan Crha)

Translations:
	Balázs Meskó (hu)
	Anders Jonsson (sv)
	Alan Mortensen (da)
	Marek Cernocky (cs)
	Jordi Mas (ca)
	Daniel Mustieles (es)

Evolution-EWS 3.30.0 2018-09-03
-------------------------------

Miscellaneous:
	No code/translation changes

Evolution-EWS 3.29.92 2018-08-27
--------------------------------

Translations:
	Kukuh Syafaat (id)

Evolution-EWS 3.29.91 2018-08-13
--------------------------------

Translations:
	Mario Blättermann (de)
	Jordi Mas (ca)

Evolution-EWS 3.29.90 2018-07-30
--------------------------------

Bug Fixes:
	I#10 - All day event times broken after drag&drop in Work Week view (Milan Crha)
	I#11 - Updated Draft message not re-downloaded (Milan Crha)

Translations:
	Bruce Cowan (en_GB)
	Carles Ferrando Garcia (ca)

Evolution-EWS 3.29.4 2018-07-16
-------------------------------

Bug Fixes:
	Bug 796297 - Make it possible to not request RSVP (all-or-nothing) ][ (Milan Crha)
	eds-I#12 - vCard REV attribute should be a timestamp (Milan Crha)
	I#4 - Automatic junk filtering doesn't work (Milan Crha)
	I#5 - Cannot set/change task priority (Milan Crha)
	I#2 - Silently ignore broken items on fetch in calendars (Milan Crha)
	I#6 - Add 'Subscribe to folder of other EWS user' into File menu (Milan Crha)
	I#7 - Event timezone not always properly set on the server (Milan Crha)

Miscellaneous:
	Use Unicode '...' in translatable strings (Milan Crha)
	Fix few memory leaks around gtk_tree_view_new_with_model() (Milan Crha)

Translations:
	Daniel Mustieles (es)
	Rafael Fontenelle (pt_BR)
	Piotr Drąg (pl)

Evolution-EWS 3.29.3 2018-06-18
-------------------------------

Bug Fixes:
	Bug 796297 - Make it possible to not request RSVP (all-or-nothing) (Milan Crha)
	Bug 795870 - Add a way to initiate refresh of account sources (Milan Crha)

Miscellaneous:
	Update a maintainer in the DOAP file (Milan Crha)
	Update bug URL and switch to https:// in the DOAP file (Milan Crha)
	Missing build dependency for gdbus-codegen on input .xml file (Milan Crha)

Evolution-EWS 3.29.2 2018-05-21
-------------------------------

Bug Fixes:
	Bug 795329 - Fallback to message construction on ErrorMimeContentConversionFailed (Milan Crha)
	Bug 795121 - Option for GAL: Use only primary contact email address (Milan Crha)
	Bug 792653 - Use GetUserPhoto for GAL contacts (Milan Crha)
	Bug 795414 - Errors on delete of a detached instance (Milan Crha)

Miscellaneous:
	Crash when meeting invitation iCalendar part could not be parsed (Milan Crha)
	Skip empty street addresses in contacts (Milan Crha)
	Stale connection used after resume (Milan Crha)
	Address a clang warning (Milan Crha)
	Address some of the compiler and static analyzers warnings (Milan Crha)

Translations:
	Marek Černocký (cs)
	Piotr Drąg (pl)
	Rafael Fontenelle (pt_BR)

Evolution-EWS 3.29.1 2018-04-16
-------------------------------

Bug Fixes:
	Bug 794116 - Delete messages in chunks to not exceed maximum limit (Milan Crha)
	Bug 654459 - Support recurrence task (Milan Crha)
	Bug 788202 - Convert Task dates to time zone set in Evolution (Milan Crha)
	Bug 794924 - Reading EWS contact list aborts after error (Milan Crha)
	Bug 794815 - Forgive errors when fetching events (Milan Crha)
	Bug 795076 - [Contacts] Use Display Name as File As when File As is missing (Milan Crha)

Miscellaneous:
	Make it possible to disable Reminders for Tasks (Milan Crha)
	Update POTFILES.in (Piotr Drąg)

Translations:
	Andika Triwidada (id)
	Piotr Drąg (pl)
	Aurimas Černius (lt)
	Rafael Fontenelle (pt_BR)
	Marek Černocký (cs)
	Mario Blättermann (de)
	Anders Jonsson (sv)
	Rūdolfs Mazurs (lv)

Evolution-EWS 3.28.0 2018-03-12
-------------------------------

Translations:
	Joe Hansen (da)
	Alan Mortensen (da)
	Anders Jonsson (sv)

Evolution-EWS 3.27.92 2018-03-05
--------------------------------

Bug Fixes:
	Bug 793606 - Fails to import events without DTEND (Milan Crha)
	Bug 763455 - Server-side password change doesn't reconnect book/calendar (Milan Crha)

Miscellaneous:
	Fix runtime warning when attendee has no ResponseType (Milan Crha)

Translations:
	Marek Cernocky (cs)
	Daniel Mustieles (es)
	Мирослав Николић (sr)
	Мирослав Николић (sr@latin)
	Mario Blättermann (de)
	Rafael Fontenelle (pt_BR)
	Gábor Kelemen (hu)

Evolution-EWS 3.27.91 2018-02-19
--------------------------------

Bug Fixes:
	Bug 793104 - COMPLETED in libical 3.0+ is DATE-TIME only (Milan Crha)
	Bug 775690 - Support OAuth2 for outlook.office365.com (Milan Crha)
	Bug 793368 - Install AppStream metadata to /usr/share/metainfo/ (Jeremy Bicha)

Miscellaneous:
	Correct possible scope for Office365 OAuth2 (Milan Crha)
	Add translator comments around 'Tenant' word (Milan Crha)
	Check validity of returned values in 'Folder Sizes' function (Milan Crha)
	Various changes related to outlook.office365.com server (Milan Crha)
	Office365.com OAuth2 - Relax the 'prompt' user interaction type (Milan Crha)

Translations:
	Marek Cernocky (cs)
	Piotr Drąg (pl)

Evolution-EWS 3.27.90 2018-02-05
--------------------------------

Bug Fixes:
	Bug 792411 - Use GetUserPhoto to lookup sender's photo (Milan Crha)
	Bug 793037 - Some appointments displayed as meetings (Milan Crha)
	Bug 775690 - Support OAuth2 for outlook.office365.com (initial changes) (Milan Crha)

Translations:
	Marek Cernocky (cs)

Evolution-EWS 3.27.4 2018-01-08
-------------------------------

Bug Fixes:
	Bug 792190 - Fails to update offline GAL (Milan Crha)

Miscellaneous:
	Ignore address books with UUID-like name (Milan Crha)

Translations:
	Rafael Fontenelle (pt_BR)
	Daniel Mustieles (es)

Evolution-EWS 3.27.3 2017-12-11
-------------------------------

Bug Fixes:
	Bug 790450 - Check response headers for credential expiration hints (Milan Crha)

Miscellaneous:
	[ECalBackendEws] Prevent crash when item has no MIME content set (Milan Crha)
	Correct arguments of g_dngettext() added in the previous commit (Milan Crha)

Translations:
	Mario Blättermann (de)
	Marek Cernocky (cs)
	Piotr Drąg (pl)
	Kukuh Syafaat (id)

Evolution-EWS 3.27.2 2017-11-13
-------------------------------

Bug Fixes:
	Bug 760329 - Try to poke autodiscovery when creating new account (Milan Crha)

Miscellaneous:
	Prevent crash under ews_backend_sync_created_folders() (Milan Crha)
	Synchronize authentication extensions before creating an ESource (Milan Crha)

Translations:
	Daniel Mustieles (es)
	Alan Mortensen (da)
	Ask Hjorth Larsen (da)
	Piotr Drąg (pl)

Evolution-EWS 3.27.1 2017-10-16
-------------------------------

Bug Fixes:
	Bug 786982 - After pressing "NOT JUNK" mail stays in the Junk folder (Milan Crha)
	Bug 786208 - Already opened message box doesn’t show new emails (Milan Crha)
	Bug 781645 - Skip GSettings schema compile when DESTDIR is set (Milan Crha)
	Bug 788782 - Deadlock when trying to save changes after vFolder's thaw (Milan Crha)

Miscellaneous:
	Adapt to rename of evolution.desktop to org.gnome.Evolution.desktop (Milan Crha)
	Escape spaces in server Categories for message Labels (Milan Crha)
	Use icaltime_is_utc() instead of icaltimetype::is_utc (Milan Crha)

Translations:
	Matej Urbančič (sl)
	Aurimas Černius (lt)

Evolution-EWS 3.26.0 2017-09-11
-------------------------------

Miscellaneous:
	No code/translation changes

Evolution-EWS 3.25.92.2 2017-09-04
----------------------------------

Miscellaneous:
	Do not use PROJECT_VERSION_TWEAK when searching for eds/evo dependencies (Milan Crha)

Evolution-EWS 3.25.92.1 2017-09-04
----------------------------------

Miscellaneous:
	Revert "Adapt to rename of evolution.desktop to org.gnome.Evolution.desktop" (Milan Crha)

Evolution-EWS 3.25.92 2017-09-04
--------------------------------

Bug Fixes:
	Bug 782826 - Allow adding Free/Busy as a foreign Calendar ][ (Milan Crha)
	Bug 786095 - Replies to meeting requests with RSVP=false (Milan Crha)

Miscellaneous:
	Adapt to rename of evolution.desktop to org.gnome.Evolution.desktop (Milan Crha)

Translations:
	Marek Cernocky (cs)
	Balázs Úr (hu)

Evolution-EWS 3.25.91 2017-08-21
--------------------------------

Translations:
	Rafael Fontenelle (pt_BR)
	Kukuh Syafaat (id)
	Matej Urbančič (sl)
	Мирослав Николић (sr)
	Мирослав Николић (sr@latin)
	Josef Andersson (sv)

Evolution-EWS 3.25.90 2017-08-07
--------------------------------

Bug Fixes:
	Bug 785188 - Do not add LIB_INSTALL_DIR into RPATH (Milan Crha)
	Bug 750564 - Make server settings lookup extensible (Milan Crha)

Translations:
	Mario Blättermann (de)
	Balázs Meskó (hu)
	Piotr Drąg (pl)

Evolution-EWS 3.25.4 2017-07-17
-------------------------------

Bug Fixes:
	Bug 625149 - Support offline for books/calendars (Milan Crha)
	Bug 783987 - Mail account assistant/editor too tall for small resolution (Milan Crha)
	Bug 784332 - EXDATE missed in recurring events (Milan Crha)
	Bug 784058 - Ignores Exchange backoff response (Milan Crha)
	Bug 784775 - PublicDL members replaced with DL aliases in online GAL (Milan Crha)

Miscellaneous:
	Fix a crash on local cache update of a GAL from OAB (Milan Crha)

Translations:
	Daniel Mustieles (es)
	Rafael Fontenelle (pt_BR)
	Piotr Drąg (pl)
	Kukuh Syafaat (id)

Evolution-EWS 3.25.3 2017-06-19
-------------------------------

Bug Fixes:
	Bug 782826 - Allow adding Free/Busy as a foreign Calendar (Milan Crha)

Miscellaneous:
	e_ews_connection_try_credentials_sync() asks for password when not needed (Milan Crha)
	Derive from EBookMetaBackend and ECalMetaBackend (Milan Crha)
	Allow overwrite of CMAKE_SKIP_RPATH variable (Milan Crha)

Translations:
	Piotr Drąg (pl)

Evolution-EWS 3.25.2 2017-05-22
-------------------------------

Bug Fixes:
	Bug 781833 - Do not set '-Wl,--no-undefined' on BSD (Antoine Jacoutot)

Evolution-EWS 3.25.1 2017-04-24
-------------------------------

Bug Fixes:
	Bug 779804 - Mail message Date header received in UTC (Milan Crha)
	Bug 780391 - Truncate cache stream before resaving received message (Milan Crha)

Miscellaneous:
	Sources always enabled, even when their part is disabled (Milan Crha)
	Use correct respond method in e_cal_backend_ews_remove_object() (Milan Crha)

Translations:
	Kukuh Syafaat (id)

Evolution-EWS 3.24.0 2017-03-20
-------------------------------

Miscellaneous:
	No code/translation changes

Evolution-EWS 3.23.92 2017-03-13
--------------------------------

Translations:
	Inaki Larranaga Murgoitio (eu)
	Aurimas Černius (lt)

Evolution-EWS 3.23.91 2017-02-27
--------------------------------

Translations:
	Мирослав Николић (sr)
	Мирослав Николић (sr@latin)
	Balázs Úr (hu)

Evolution-EWS 3.23.90 2017-02-13
--------------------------------

Bug Fixes:
	Bug 777946 - Fails to import regular appointment (Milan Crha)

Miscellaneous:
	Avoid local message cache expiry clean up when being offline (Milan Crha)

Translations:
	Mario Blättermann (de)
	Joe Hansen (da)

Evolution-EWS 3.23.4 2017-01-16
-------------------------------

Bug Fixes:
	Bug 773419 - Age limit for offline message download (Milan Crha)
	Bug 775951 - Folder permission level change doesn't change read permission (Milan Crha)
	Bug 775649 - Monthly recurrence on the last day refused by the server (Milan Crha)
	Bug 777021 - Use server-side search for 'body-contains' when online (Milan Crha)

Miscellaneous:
	Fix possible uninitialized variable usage in ews-test-timezones.c (Milan Crha)
	Fix few memory leaks (Milan Crha)
	Fix "variable may be used uninitialized" warning in query-to-restriction conversion (Milan Crha)

Translations:
	Piotr Drąg (pl)
	Marek Černocký (cs)
	Josef Andersson (sv)
	Daniel Mustieles (es)
	Rafael Fontenelle (pt_BR)

Evolution-EWS 3.23.3 2016-12-12
-------------------------------

Bug Fixes:
	Bug 774364 - Use Unicode in translatable strings (Piotr Drąg)
	Bug 775363 - Bump minimum CMake version to 3.1 (Milan Crha)
	Bug 775395 - Allow to override some (most) of the RPATH related settings (Dominique Leuenberger)

Miscellaneous:
	Autodiscover can cause deadlock in GCancellable code (Milan Crha)
	Make glib_mkenums() files depend on the source enum file (Milan Crha)

Translations:
	Piotr Drąg (pl)
	Anders Jonsson (sv)
	Muhammet Kara (tr)
	Christian Kirbach (de)
	Balázs Meskó (hu)

Evolution-EWS 3.23.2 2016-11-21
-------------------------------

Bug Fixes:
	Bug 773379 - Cannot add more than one user into folder permissions (Milan Crha)
	Bug 769573 - Allow also time part set for Tasks, not only date part (Milan Crha)
	Bug 764065 - [Camel] Port more classes to GObject (Milan Crha)
	Bug 774523 - Translator comments are missing in the .pot/.po files (Piotr Drąg)

Miscellaneous:
	Runtime warnings when calling ResolveNames (Milan Crha)
	Do not require C++ compiler, when not used (Milan Crha)
	Ensure CMAKE_SKIP_RPATH is OFF, the RPATH is used here (Milan Crha)

Evolution-EWS 3.23.1 2016-10-24
-------------------------------

* Evolution-EWS uses CMake instead of autotools now. At the end of
  the configure phase are printed all the available options and their
  values. These can be used for the cmake command to tweak the build.

Bug Fixes:
	Bug 771370 - Exchange 2016 returns broken MIME content for events with detached instances (Milan Crha)
	Bug 771931 - Add missing Camel cflags/libs to src/server/ (Milan Crha)
	Bug 770936 - BAD REQUEST due to empty Categories element (Milan Crha)
	Bug 738093 - Show folder names with slash properly ][ (Milan Crha)

Miscellaneous:
	Convert from autotools to CMake (Milan Crha)
	Require as hard dependency some dependencies (Milan Crha)
	Add a helper script for a 'dist' target (Milan Crha)
	Rename SHARE_INSTALL_DIR to SHARE_INSTALL_PREFIX (Milan Crha)
	Use tests/ as `make check` tests, if enabled with ENABLE_TESTS (Milan Crha)
	Hard-break `make dist` when there are uncommitted changes (Milan Crha)

Evolution-EWS 3.22.0 2016-09-19
-------------------------------

Translations:
	Daniel Mustieles (es)

Evolution-EWS 3.21.92 2016-09-12
--------------------------------

Bug Fixes:
	Bug 758374 - Do not restrict/remove From address on message send (Milan Crha)

Translations:
	Piotr Drąg (pl)

Evolution-EWS 3.21.91 2016-08-29
--------------------------------

Translations:
	Piotr Drąg (pl)
	Мирослав Николић (sr)
	Мирослав Николић (sr@latin)
	Matej Urbančič (sl)

Evolution-EWS 3.21.90 2016-08-15
--------------------------------

Bug Fixes:
	Bug 769044 - Customized timezones not recognized (Milan Crha)

Translations:
	Anders Jonsson (sv)
	Aurimas Černius (lt)

Evolution-EWS 3.21.4 2016-07-18
-------------------------------

Bug Fixes:
	Bug 764065 - [Camel] Use get methods for CamelMessageInfo fields (Corentin Noël)

Miscellaneous:
	Always build ESExp structure as a GObject descendant (Milan Crha)
	Add Language headers to po files (Piotr Drąg)

Translations:
	Andika Triwidada (id)

Evolution-EWS 3.21.3 2016-06-20
-------------------------------

Bug Fixes:
	Bug 767030 - GivenName element written twice when creating contact (Milan Crha)
	Bug 722193 - Possible use-after-free in ews_response_cb() after cancel (Milan Crha)
	Bug 767335 - Attachment names are not URL-decoded (Milan Crha)
	Bug 634294 - Calendar factory crash under e-cal-recur (Milan Crha)

Miscellaneous:
	Initialize connection variable to NULL in camel_ews_folder_get_message() (Milan Crha)
	Fix a memory leak when creating a contact (Milan Crha)
	Address some of the clang compiler warnings (Milan Crha)

Translations:
	Tiago Santos (pt)
	Marek Černocký (cs)
	Andika Triwidada (id)

Evolution-EWS 3.21.2 2016-05-23
-------------------------------

Bug Fixes:
	Bug 765398 - Online GAL contacts can have incorrect email address (Milan Crha)
	Bug 766021 - Messages are downloaded for offline multiple times (Milan Crha)

Miscellaneous:
	Fix some issues found by Coverity Scan (Milan Crha)

Translations:
	Daniel Mustieles (es)
	Balázs Meskó (hu)

Evolution-EWS 3.21.1 2016-04-25
-------------------------------

Bug Fixes:
	Bug 763991 - Add User-Agent setting in mail Properties (Milan Crha)
	Bug 763719 - Reconnect or use its own connection for message send (Milan Crha)
	Bug 764110 - Typo in error message (Sebastian Rasmussen)
	Bug 743654 - Show user's meeting response in the Calendar view (Milan Crha)
	Bug 764442 - Expand Distribution Lists from online GAL (not OAB) (Milan Crha)
	Bug 764977 - Manual folder Refresh should fully resync with the server (Milan Crha)
	Bug 764976 - Failed message move processed as successful (Milan Crha)
	Bug 765209 - Correct server version set from string (Milan Crha)

Miscellaneous:
	Add thread safety around ECalBackendEws::priv::cancellable (Milan Crha)
	Ask for password after NTLM/SSO authentication failure (Milan Crha)

Translations:
	Tom Tryfonidis (el)
	Sebastian Rasmussen (sv)
	Мирослав Николић (sr)
	Мирослав Николић (sr@latin)
	Balázs Úr (hu)
	Piotr Drąg (pl)
	Mario Blättermann (de)
	Rafael Fontenelle (pt_BR)
	Marek Černocký (cs)
	Balázs Meskó (hu)
	Daniel Mustieles (es)

Evolution-EWS 3.20.0 2016-03-21
-------------------------------

Miscellaneous:
	No code/translation changes

Evolution-EWS 3.19.92 2016-03-14
--------------------------------

Bug Fixes:
	Bug 763430 - Show additional GAL Attributes in Contacts (Milan Crha)

Translations:
	Balázs Úr (hu)
	Rūdolfs Mazurs (lv)
	Matej Urbančič (sl)
	Cédric Valmary (oc)

Evolution-EWS 3.19.91 2016-02-29
--------------------------------

Bug Fixes:
	Bug 760319 - [EEwsNotification] Abort session on idle, to avoid deadlock (Milan Crha)

Translations:
	Rafael Fontenelle (pt_BR)

Evolution-EWS 3.19.90 2016-02-15
--------------------------------

Bug Fixes:
	Bug 725320 - [Camel] Let the store preconfigure settings the first time (Milan Crha)
	Bug 761346 - More Camel introspection fixes (Milan Crha)

Miscellaneous:
	Contact photos from offline GAL not shown (Milan Crha)
	Do not require gnome-common to run autogen.sh (Milan Crha)
	Correct indentation in e_book_backend_ews_get_contact_list() (Milan Crha)

Translations:
	Aurimas Černius (lt)

Evolution-EWS 3.19.4 2016-01-18
-------------------------------

Translations:
	Мирослав Николић (sr)
	Мирослав Николић (sr@latin)
	Mario Blättermann (de)

Evolution-EWS 3.19.3 2015-12-14
-------------------------------

Bug Fixes:
	Bug 758375 - Avoid server side copy when Save replies to original folder is set (Milan Crha)

Miscellaneous:
	[Camel] Fill message From header if missing in received MIME content (Milan Crha)
	Add <kudos/> into a metainfo file (Milan Crha)
	Visualize incorrect values in an account editor (Milan Crha)

Translations:
	Daniel Mustieles (es)
	Pedro Albuquerque (pt)
	Piotr Drąg (pl)
	Marek Černocký (cs)

Evolution-EWS 3.19.2 2015-11-23
-------------------------------

Bug Fixes:
	Bug 757458 - Server-side mail message flag change ignored (Milan Crha)
	Bug 757477 - Sent/Drafts folders always reset from default to remote (Milan Crha)
	Bug 757525 - Hang on network connection change (Milan Crha)

Translations:
	Pedro Albuquerque (pt)

Evolution-EWS 3.19.1 2015-10-26
-------------------------------

Bug Fixes:
	Bug 255032 - Be able to write a note on a mail (Milan Crha)

Miscellaneous:
	Show only mail messages in mail folders (Milan Crha)
	Extend error messages in camel_ews_folder_get_message() (Milan Crha)

Translations:
	Marek Černocký (cs)
	Piotr Drąg (pl)

Evolution-EWS 3.18.0 2015-09-21
-------------------------------

Miscellaneous:
	No code/translation changes

Evolution-EWS 3.17.92 2015-09-14
--------------------------------

Miscellaneous:
	Do not reuse connections in the source-registry backend (Milan Crha)

Translations:
	Pedro Albuquerque (pt)

Evolution-EWS 3.17.91 2015-08-31
--------------------------------

Miscellaneous:
	Add safety check when replacing folder hierarchy info in hash tables (Milan Crha)

Translations:
	Piotr Drąg (pl)

Evolution-EWS 3.17.90 2015-08-17
--------------------------------

Bug Fixes:
	Bug 751703 - Skip mail folders out of mail hierarchy (Milan Crha)
	Bug 233140 - Show message counts in subscribe folders dialog (Milan Crha)
	Bug 753543 - All-day events should have set date and time (Milan Crha)

Miscellaneous:
	Avoid %ld in printf formats (Milan Crha)
	Correct use-after-free in notification code when EWS debugging is on (Milan Crha)
	Use only personal mail folders for change notification listener (Milan Crha)
	Do not loop in the notification code on fatal client/server errors (Milan Crha)

Translations:
	Necdet Yücel (tr)

Evolution-EWS 3.17.4 2015-07-20
-------------------------------

Bug Fixes:
	Bug 751547 - Foreign calendars hidden after account enable (Milan Crha)
	Bug 751725 - Enhance thread safety around CamelEwsStore::connection (Milan Crha)
	Bug 692361 - e_cal_client_get_free_busy() broken (Milan Crha)

Miscellaneous:
	Differentiate between Unavailable and No response errors (Milan Crha)
	e_ews_debug_dump_raw_soup_message: Check for non-NULL hdrs and body arguments (Milan Crha)

Evolution-EWS 3.17.3 2015-06-22
-------------------------------

Bug Fixes:
	Bug 471791 - Move away from g_asserts to g_ret* (Milan Crha)
	Bug 751001 - Permissions on context menu for GAL should be disabled (Milan Crha)

Miscellaneous:
	Remove unused variable (Milan Crha)
	configure.ac: Do not override localedir variable (Milan Crha)
	Use e_source_remove_sync() instead of e_source_registry_server_remove_source() (Milan Crha)
	Make sure collection child sources are enabled when created (Milan Crha)

Evolution-EWS 3.17.2 2015-05-25
-------------------------------

Bug Fixes:
	Bug 729989 - Reuses obsolete connection after network change (Milan Crha)
	Bug 671546 - Search with 'contains' in composer auto-completion (Milan Crha)

Miscellaneous:
	Correct locking in e_book_backend_ews_set_locale() (Milan Crha)
	Address some of the Coverity Scan issues (Milan Crha)

Evolution-EWS 3.17.1 2015-04-27
-------------------------------

Bug Fixes:
	Bug 746513 - Constant stream of invalid requests for subscription events (Fabiano Fidêncio)
	Bug 746395 - Let the provider store sent messages on its own (Milan Crha)
	Bug 709924 - Cannot turn off offline GAL once selected (Milan Crha)
	Bug 747500 - Mail account connection settings change requires restart (Milan Crha)
	Bug 748242 - Abort with invalid free() (Fabiano Fidêncio)

Miscellaneous:
	Use common property lock provided by ESourceExtension (Milan Crha)
	Query auth methods right from the got-headers signal (Milan Crha)
	notification: Try to re-subscribe in case of failure (Fabiano Fidêncio)
	Move ews_dump_raw_soup_{request,response} to e-ews-debug.[ch] (Fabiano Fidêncio)
	Log the request/response of EEwsNotification (Fabiano Fidêncio)
	Fix various memory leaks (Milan Crha)

Evolution-EWS 3.16.0 2015-03-23
-------------------------------

Translations:
	Daniel Mustieles (es)

Evolution-EWS 3.15.92 2015-03-16
--------------------------------

Bug Fixes:
	Bug 745457 - Crash under e_ews_notification_subscribe_folder_sync() (Milan Crha)
	Bug 695911 - Creates long and cryptic calendar attachment names (Milan Crha)

Miscellaneous:
	Correct 'Listen for server change notification' for books and calendars (Milan Crha)
	DOAP: Add programming language (Andre Klapper)
	DOAP: Fix category error (Andre Klapper)
	DOAP: Add description property (Andre Klapper)
	Memory leak in e_ews_dump_file_attachment_from_soap_parameter() (Milan Crha)

Translations:
	Rafael Ferreira (pt_BR)
	Dušan Kazik (sk)
	Samir Ribic (bs)
	Aurimas Černius (lt)

Evolution-EWS 3.15.91 2015-03-02
--------------------------------

Miscellaneous:
	Use thread safe variants of g_object_bind_property*() functions from evolution-data-server (Milan Crha)
	Update devel-doc Since from 3.14 to 3.16 (Milan Crha)
	Sync version with GNOME 3.15 series (Milan Crha)

Translations:
	Matej Urbančič (sl)

Evolution-EWS 3.13.90 2015-02-16
--------------------------------

Bug Fixes:
	Bug 743705 - No cancellation sent for deleted meeting (Milan Crha)
	Bug 741855 - Too often folder change notifications on folder refresh (Milan Crha)

Miscellaneous:
	Move authentication of backends back to the client (Milan Crha)
	Use automake subdir-objects option (Milan Crha)
	Adapt to camel_session_submit_job() API change (Milan Crha)
	Remove unused declaration of camel_application_is_exiting variable (Milan Crha)

Translations:
	Marek Černocký (cs)
	Inaki Larranaga Murgoitio (eu)
	Piotr Drąg (pl)
	Balázs Úr (hu)

Evolution-EWS 3.13.10 2015-01-26
--------------------------------

Bug Fixes:
	Bug 729286 - [Calendar] Update stored user email after successful connect (William Shuman)

Translations:
	Daniel Mustieles (es)

Evolution-EWS 3.13.9 2014-12-22
-------------------------------

Bug Fixes:
	Bug 734747 - Fails to provide "Eastern Standard Time" timezone (Milan Crha)
	Bug 740772 - Use-after-free when adding attachments to events (Milan Crha)
	Bug 695754 - Reuse existing ESourceRegistry from EMailSession, if possible (Milan Crha)

Miscellaneous:
	Set max-width-chars to wrapped GtkLabel-s (Milan Crha)

Evolution-EWS 3.13.8 2014-11-24
-------------------------------

Bug Fixes:
	Bug 738987 - Crash under e_ews_notification_unsubscribe_folder_sync() (Milan Crha)
	Bug 691293 - Claim old resources in offline mode (Milan Crha)
	Bug 738945 - Missing folder changed notify after message append (Milan Crha)
	Bug 738093 - Show folder names with slash properly (Milan Crha)

Miscellaneous:
	Use G_IO_ERROR_CANCELLED instead of EWS_CONNECTION_ERROR_CANCELLED (Milan Crha)

Translations:
	Marek Černocký (cs)
	Rafael Ferreira (pt_BR)
	Tiago S (pt)

Evolution-EWS 3.13.7 2014-10-27
-------------------------------

Bug Fixes:
	Bug 653157 - Enable extra compiler warnings in maintainer mode only (Milan Crha)
	Bug 733578 - Out of Office settings - external audience value is not saved (Milan Crha)
	Bug 737773 - Duplicate GAL in new accounts (Milan Crha)

Miscellaneous:
	Build addressbook test binaries only with mspack library (Milan Crha)
	Add evolution-ews.metainfo.xml file (Milan Crha)
	Use INTLTOOL_XML_RULE for appdata files (Milan Crha)
	Make sure deprecated EDS symbols will not be used (Milan Crha)
	Miscellaneous Win32 related build fixes (Milan Crha)

Translations:
	Rajesh Ranjan (hi)
	Saibal Ray (bn_IN)
	Krishnababu Krothapalli (te)
	Sandeep Sheshrao Shedmake (mr)
	Мирослав Николић (sr)
	Мирослав Николић (sr@latin)

Evolution-EWS 3.13.6 2014-09-22
-------------------------------

Bug Fixes:
	Bug 735799 - Workaround crash for messages with no item ID (Milan Crha)
	Bug 735801 - Use-after-free in e_book_backend_ews_dispose() after resume (Milan Crha)
	Bug 736257 - Fix cancellation of addressbook lookups (David Woodhouse)

Miscellaneous:
	Update addressbook to use ->open_sync() (David Woodhouse)
	Use GInitable to initialise addressbook (David Woodhouse)
	Port addressbook to EBookSqlite (David Woodhouse)
	Fix build for oab-decode-test, port it to EBookSqlite (David Woodhouse)
	Move dset handling inside ews_decode_addressbook_record() (David Woodhouse)
	Use (hashed) PidTagEmailAddress for OAB item UID (David Woodhouse)
	Pass GInputStream to decoder functions instead of assuming priv->fis (David Woodhouse)
	Use GMemoryInputStream for processing records, calculate SHA1 on each (David Woodhouse)
	Optimise EWS GAL update not to rewrite unchanged records (David Woodhouse)
	Avoid processing OAB records which already exist (David Woodhouse)
	Fix modify_contacts for EBookSqlite (David Woodhouse)
	Add revision support for addressbook (David Woodhouse)
	Add locale support for addressbook (David Woodhouse)
	Make ebews_fetch_items() return a list of EContacts not EVCards (David Woodhouse)
	Refactor ews_update_items_thread() to do all database access together (David Woodhouse)
	Kill store_to_cache option for ebews_fetch_items() (David Woodhouse)
	Clean up resync code path in ews_update_items_thread() (David Woodhouse)
	Use EBookSqlite locking (David Woodhouse)
	Add cursor support to addressbook (David Woodhouse)
	Add DRA support to addressbook (David Woodhouse)
	Fix notification for non-GAL updates to only happen on commit (David Woodhouse)
	Avoid using dynamic types for ESourceEwsFolder (David Woodhouse)
	Reduce addressbook refresh interval to 6 hours (David Woodhouse)
	Fix addressbook upgrade from pre-SHA1 versions (David Woodhouse)
	Don't flush the final GAL updates if there are none (David Woodhouse)
	Initialise filename to NULL in ews_remove_old_gal_file() (David Woodhouse)

Translations:
	Manoj Kumar Giri (or)
	Nilamdyuti Goswami (as)
	Shankar Prasad (kn)
	Andika Triwidada (id)
	Piotr Drąg (pl)
	Marek Černocký (cs)
	Balázs Úr (hu)
	Shantha kumar (ta)
	Saibal Ray (bn_IN)
	Matej Urbančič (sl)
	Sweta Kothari (gu)
	Manoj Kumar Giri (or)
	Sandeep Sheshrao Shedmake (mr)

Evolution-EWS 3.13.5 2014-08-25
-------------------------------

Translations:
	Matej Urbančič (sl)
	MarMav (el)

Evolution-EWS 3.13.4 2014-07-28
-------------------------------

Bug Fixes:
	Bug 728942 - Fails to pair user with attendee in invitation response (Milan Crha)
	Bug 730878 - Split libcamelews into a static and a dynamic library (Milan Crha)
	Bug 733274 - EWS is very slow to download large messages (Milan Crha)
	Bug 703181 - Work around libsoup's failure to recover from NTLM auth failure (David Woodhouse)
	Bug 732850 - GSSAPI authentication doesn't need a password (Daniel Sands)
	Bug 703181 - NTLM authentication doesn't (always) need a password (David Woodhouse)
	Bug 732850 - Remove reachability check from ews_store_query_auth_types_sync() (Daniel Sands)
	Bug 732850 - Not all message restarts are due to a redirect (Daniel Sands)
	Bug 733663 - Do not attempt to subscribe to GAL changes (David Woodhouse)

Miscellaneous:
	Replace GtkSpinner with Evolution's ESpinner (Milan Crha)
	Make Evolution-EWS build under Win32 (Milan Crha)
	Adapt evolution-ews to support backend-per-process (Fabiano Fidêncio)
	Add missing chain-up to parent's constructed() method (Milan Crha)
	Clean up enabling/disabling NTLM and Basic auth types (David Woodhouse)
	Handle cookies (non-persistently) (Daniel Sands)
	Fix string comparison for Basic auth (David Woodhouse)
	Leave Basic auth enabled when NTLM is configured (David Woodhouse)
	Add camel_ews_settings_get_auth_mechanism() helper function (David Woodhouse)
	Clean up logging slightly and make it more consistent (Daniel Sands)
	SOUP_STATUS_IS_SUCCESSFUL(soup_session_send_message()) sends message twice (David Woodhouse)
	Clean up Negotiate auth implementation to be a SoupAuth subclass (Daniel Sands)

Translations:
	Daniel Mustieles (es)
	Marek Černocký (cs)
	Piotr Drąg (pl)
	Rafael Ferreira (pt_BR)

Evolution-EWS 3.13.3 2014-06-23
-------------------------------

Bug Fixes:
	Bug 692780 - Crash under ews_get_attachments() (Milan Crha)
	Bug 730878 - Build libcamelews as a module (Olav Vitters)
	Bug 731585 - evolution-ews Camel part pretends offline state (Milan Crha)

Translations:
	MarMav (el)

Evolution-EWS 3.13.2 2014-05-26
-------------------------------

Bug Fixes:
	Bug #656805 - Read receipt handling doesn't work (Milan Crha)
	Bug #728246 - Fail creating all day event (Fabiano Fidêncio)
	Bug #730042 - Autodiscover XML can contain multiple Protocol elements (Nathan Caza)

Miscellaneous:
	Guard private update-related variables with an update lock (Milan Crha)
	Fix g_ascii_strcasecmp: assertion 's2 != NULL' (Fabiano Fidêncio)
	Fix 'Unintialized pointer read' (Fabiano Fidêncio)
	Fix 'Uninitialized scalar variable' (Fabiano Fidêncio)
	Fix 'Logically dead code' (Fabiano Fidêncio)

Translations:
	Christian Kirbach (de)

Evolution-EWS 3.13.1 2014-04-28
-------------------------------

Bug Fixes:
	Bug 684425 - Do not pass NULL text to gtk_entry_set_text() (Milan Crha)

Other Changes:
	* Add an --enable-code-coverage configure option to enable gcov
	  support (Milan Crha)
	* tests: Create a list of known unknown zones (Fabiano Fidêncio)
	* Fix two memory leaks from Camel code (Milan Crha)
	* Simplify memory management around ews_sync_mi_flags() function
	  (Milan Crha)

Translations:
	Inaki Larranaga Murgoitio (eu)
	Andika Triwidada (id)


Evoluiton-EWS 3.12.0 2014-03-24
-------------------------------

* No changes since 3.11.92.


Evolution-EWS 3.11.92 2014-03-17
--------------------------------

Bug Fixes:
	Bug 726078 - After change an instance of a recurring event, the rest
	             of the instances cannot be changed (Fabiano Fidêncio)
	Bug 726079 - Notify about removal of detached instances (Milan Crha)

Other Changes:
	* ECalBackendEws: Do not cause double-free of a GError (Milan Crha)


Evolution-EWS 3.11.91 2014-03-03
--------------------------------

Bug Fixes:
	Bug #720260 - Moved messages need to be retrieved again
	              (Fabiano Fidêncio)
	Bug #724232 - Empty Trash doesn't delete Trash subfolders
	              (Fabiano Fidêncio)

Other Changes:
	* configure.ac: Remove evolution-plugin dependency. (Matthew Barnes)

Translations:
	Balázs Úr (hu)
	Manoj Kumar Giri (or)


Evolution-EWS 3.11.90 2014-02-17
--------------------------------

Bug Fixes:
	Bug 655806 - Folder deletion is very slow (Fabiano Fidêncio)
	Bug 722416 - Don't change the timezone name (Fabiano Fidêncio)
	Bug 722419 - Inconsistent mapping between Olson and Windows format
	             (Fabiano Fidêncio)
	Bug 723520 - Crash while syncing updated items (Milan Crha)

Translations:
	Shankar Prasad (kn)
	Aurimas Černius (lt)


Evolution-EWS 3.11.5 2014-02-03
-------------------------------

Bug Fixes:
	Bug 712179 - Cannot create calendar object: The property is
	             deprecated for this version of Exchange (Fabiano Fidêncio)
	Bug 721381 - Doesn't keep flags when moving messages (Fabiano Fidêncio)
	Bug 722415 - Memo does not support Start Date property
	             (Fabiano Fidêncio)

Other Changes:
	* Drop KRB5 dependency (Milan Crha)
	* Bump minimum libsoup requirement to 2.42 (Fabiano Fidêncio)
	* Unit test improvements. (Fabiano Fidêncio)
	* Add e_ews_debug_get_server_version_from_string() (Fabiano Fidêncio)
	* Abort any pending operations in case notification was cancelled
	  (Fabiano Fidêncio)

Translations:
	Nilamdyuti Goswami (as)
	Мирослав Николић (sr)


Evolution-EWS 3.11.4 2014-01-13
-------------------------------

Translations:
	Piotr Drąg (pl)
	Matej Urbančič (sl)


Evolution-EWS 3.11.3 2013-12-16
-------------------------------

Bug Fixes:
	Bug 664174 - Crash in add_item_to_cache() (Milan Crha)
	Bug 705338 - OOO message not spell-checked (Jan-Michael Brummer)
	Bug 712255 - Name all the timeouts added with g_timeout_add()
	             (Fabiano Fidêncio)
	Bug 712304 - Crash in the notification code (Fabiano Fidêncio)
	Bug 715165 - Show connection status icons (Fabiano Fidêncio)
	Bug 719376 - Filter by mailing list doesn't work (Milan Crha)

Other Changes:
	* configure.ac: Do not define EDS_DISABLE_DEPRECATED. (Matthew Barnes)
	* Setup the Authentication extension so Camel can determine host
	  reachability (Matthew Barnes)

Translations:
	Marek Černocký (cs)
	Facundo Dario Illanes (es)
	Shantha kumar (ta)


Evolution-EWS 3.11.2 2013-11-18
-------------------------------

Bug Fixes:
	Bug 699349 - Listen for server change notifications (Fabiano Fidêncio)
	Bug 708353 - Enhance folder size dialog (Fabiano Fidêncio)
	Bug 711148 - Ensure that ews_discover_server_version() will be called
	             on the first connection for Calendar/Camel
	             (Fabiano Fidêncio)
	Bug 711470 - Move tests from src/tests to test and fix make distcheck
	             (Fabiano Fidêncio)
	Bug 712304 - Crash in the notification code (Fabiano Fidêncio)

Other Changes:
	* Update tar format to tar-ustar (Fabiano Fidêncio)
	* Fix potential issues found by static analysis tools (Milan Crha)

Translations:
	Enrico Nicoletto (pt_BR)


Evolution-EWS 3.11.1 2013-10-21
-------------------------------

Bug Fixes:
	Bug 704869 - Support Kerberos authentication (Milan Crha)
	Bug 706151 - Crash under mail_config_ews_ooo_page_display_settings()
	             (Milan Crha)
	Bug 708121 - Add low level tests in EWS (for EwsConnection)
	             (Fabiano Fidêncio)
	Bug 708309 - Crash accessing GAL not marked for offline (Milan Crha)
	Bug 708348 - Memory leaks from account preferences (Milan Crha)
	Bug 708628 - Add support for EmptyFolder operation (Fabiano Fidêncio)

Other Changes:
	* Check for supported authentication methods by the server (Milan Crha)
	* Fetch Free/Busy fails due to incorrect value of DayOrder element
	  (Milan Crha)
	* Make offline GAL browsable (Milan Crha)

Translations:
	Marek Černocký (cs)
	Daniel Mustieles (es)
	Gabor Kelemen (hu)
	Andika Triwidada (id)
	Noriko Mizumoto (ja)
	Aurimas Černius (lt)
	Rūdolfs Mazurs (lv)
	Rafael Ferreira (pt_BR)
	Matej Urbančič (sl)
	Мирослав Николић (sr)


Evolution-EWS 3.10.0 2013-09-23
-------------------------------

Translations:
	Gabor Kelemen (hu)


Evolution-EWS 3.9.92 2013-09-16
-------------------------------

Translations:
	Joe Hansen (da)
	Matej Urbančič (sl)
	Мирослав Николић (sr)


Evolution-EWS 3.9.91 2013-09-02
-------------------------------

Bug Fixes:
	Bug 655325 - Support follow up flag (Milan Crha)
	Bug 656008 - Handle Categories on calendar components (Milan Crha)
	Bug 657807 - "Save as draft" saving duplicate drafts (Milan Crha)
	Bug 675796 - Assertion abort in ews_decode_oab_prop() (Milan Crha)

Translations:
	Nilamdyuti Goswami (as)
	Marek Černocký (cs)
	Piotr Drąg (pl)
	Rafael Ferreira (pt_BR)
	Shantha kumar (ta)


Evolution-EWS 3.9.90 2013-08-19
-------------------------------

Bug Fixes:
	Bug 654528 - Cann't forward event as iCalendar (Milan Crha)
	Bug 660748 - Cann't save attachment in event (Milan Crha)
	Bug 675737 - Show user's folder sizes (Punit Jain)
	Bug 681741 - Meeting cancellation doesn't remove event from calendar
	             (Fabiano Fidêncio)
	Bug 699558 - Use-after-free of a cancellable during GAL update
	             (Milan Crha)
	Bug 704772 - Fails to properly import calendar events (Milan Crha)
	Bug 704914 - Crash under e_ews_dump_file_attachment_from_soap_parameter
	             (Milan Crha)
	Bug 704940 - Crash in sync_xxx_response_cb() (Fabiano Fidêncio)
	Bug 705118 - Double-free in ews_oof_settings_get_response_cb()
	             (Fabiano Fidêncio)
	Bug 705337 - OOO message not shown (David Woodhouse)
	Bug 705617 - Failed connection hides offline data in online mode
	             (Milan Crha)
	Bug 705658 - Fix errors found by CLANG - Avoid assign an undefined
	             value (Fabiano Fidêncio)

Translations:
	Nilamdyuti Goswami (as)
	Sweta Kothari (gu)
	Shankar Prasad (kn)


Evolution-EWS 3.9.5 2013-07-29
------------------------------

Bug Fixes:
	Bug 386113 - Show custom alarm message in pop-up alerts
	             (Fabiano Fidêncio)
	Bug 659700 - Flags do not stick on message copy (Fabiano Fidêncio)
	Bug 702035 - EWS folder rec_mutex leak? (Fabiano Fidêncio)
	Bug 703181 - Asked for password which is never used (David Woodhouse)
	Bug 703832 - Remove the whole test suit (Fabiano Fidêncio)
	Bug 704370 - Crash in sync_updated_folders() (Milan Crha)
	Bug 704618 - Missing detached instances in get_object() response
	             (Milan Crha)

Other Changes:
	* Add E_CONTACT_OFFICE parsing for GAL (David Woodhouse)
	* Add some more GAL field types seen in the wild (David Woodhouse)
	* Use GBytes for GAL binary properties (David Woodhouse)
	* Add X509 cert from GAL (David Woodhouse)
	* Add E_CONTACT_WANTS_HTML from GAL (David Woodhouse)
	* Fix hang on multiple contacts removal (Milan Crha)

Translations:
	Nilamdyuti Goswami (as)
	Marek Černocký (cs)
	Krishnababu Krothapalli (te)


Evolution-EWS 3.9.4 2013-07-08
------------------------------

Bug Fixes:
	Bug 702922 - Meetings with no attendees are treated as Appointment
	             (Fabiano Fidêncio)
	Bug 703053 - Error on setting reminder 'after start of appointment'
	             (Fabiano Fidêncio)
	Bug 703194 - Custom alarm message is REMINDER (Fabiano Fidêncio)

Other Changes:
	* Fix leak and avoid to pass NULL to g_strrstr() (Fabiano Fidêncio)
	* Fix segfault: set text as NULL when both g_strrstr() fails
	  (Fabiano Fidêncio)
	* Use g_strcmp0 instead of implement it as check_equal
	  (Fabiano Fidêncio)
	* Allow to pass NULL for e_ews_connection_get_folder_sync
	  (Fabiano Fidêncio)

Translations:
	Sandeep Sheshrao Shedmake (mr)
	Rafael Ferreira (pt_BR)


Evolution-EWS 3.9.3 2013-06-17
------------------------------

Bug Fixes:
	Bug 701246 - Crash due to gtk calls in a non-main thread
	             (Fabiano Fidêncio)

Other Changes:
	* e-ews-search-user: Do not print console error when nothing found
	  (Milan Crha)
	* Fetch fresh folder's change-key, when reading folder permissions
	  (Milan Crha)
	* Check for cancellation when refreshing folder content (Milan Crha)
	* Require --with-internal-lzx for libmspack fallback (David Woodhouse)
	* Disable incremental GAL updates without libmspack (David Woodhouse)
	* Fix various memory leaks (David Woodhouse)
	* Make the statements explicit when using ternary if (Fabiano Fidêncio)

Translations:
	Matej Urbančič (sl)


Evolution-EWS 3.9.2 2013-05-27
------------------------------

Bug Fixes:
	Bug 654950 - Contact doesn't fetch photo (Fabiano Fidêncio)
	Bug 699231 - Capital letters' changes are not propagated to the server
	             (Fabiano Fidêncio)
	Bug 699241 - GAL decompression fails due to invalid window_size
	             calculation (David Woodhouse)
	Bug 699373 - Refetches full OAB.xml when unchanged (David Woodhouse)
	Bug 699481 - Crash on GAL try to replace data (Fabiano Fidêncio)
	Bug 673351 - Empty Trash doesn't work without visiting it (Milan Crha)
	Bug 699847 - Build requests according to the correct Exchange server
	             version (Fabiano Fidêncio)
	Bug 698728 - Use proxy settings to connect to the server (Milan Crha)
	Bug 658892 - Support contact list creation (Fabiano Fidêncio)

Other Changes:
	* Handle inlined attachments in
	  e_ews_connection_{create,get}_attachments (Fabiano Fidêncio)
	* Handle absence of ETag (David Woodhouse)
	* Update LZX decompressor (David Woodhouse)
	* Allow upstream libmspack to be used, if it's new enough
	  (David Woodhouse)
	* Allow e_ews_connection_get_oal_detail() to return more than one
	  type of element (David Woodhouse)
	* Fix crash on addressbook close (David Woodhouse)
	* Don't remove OAB file after processing (David Woodhouse)
	* Implement incremental GAL download (David Woodhouse)
	* Use "X-EWS-KIND" attribute (Fabiano Fidêncio)

Translations:
	Marek Černocký (cs)
	Dimitris Spingos (el)
	Matej Urbančič (sl)
	Мирослав Николић (sr)


Evolution-EWS 3.9.1 2013-04-29
------------------------------

Bug Fixes:
	Bug 670939 - Reminder to change out of office status (Fabiano Fidêncio)
	Bug 681837 - Make enum type registration thread safe (Milan Crha)
	Bug 686227 - EX addresses are returned for deleted mailboxes
	             (Milan Crha)
	Bug 691937 - Remove resources with e_source_remove_sync().
	             (Matthew Barnes)
	Bug 695921 - Error is shown when a folder is created in the root
	             (same level than "Inbox") (Fabiano Fidêncio)
	Bug 696092 - Crash when fetching task items (Fabiano Fidêncio)
	Bug 696221 - Drop libeews.pc.in (Milan Crha)

Translations:
	Gil Forcada (ca)
	Marek Černocký (cs)
	Daniel Mustieles (es)
	Balázs Úr (hu)
	Rafael Ferreira (pt_BR)


Evolution-EWS 3.7.92 2013-03-18
-------------------------------

Bug Fixes:
	Bug 654953 - Fetch Notes in contact (Fabiano Fidêncio)
	Bug 690433 - Do not refresh folder on every message transfer
	             (Milan Crha)
	Bug 695177 - server/tests: fix make check (Fabiano Fidêncio)
	Bug 695311 - Fill email address even when autodiscovery process is not
	             called (Fabiano Fidêncio)
	Bug 695707 - Mailbox field should be inside the DistinguishedFolderId
	             field in e_ews_connection_{create,delete}_folder ()
	             (Fabiano Fidêncio)


Evolution-EWS 3.7.91 2013-03-04
-------------------------------

Bug Fixes:
	Bug 693345 - dngettext should be used instead of ngettext (Milan Crha)

Other Changes:
	* Be more forgiving with the invitation response status pairing
	  (Milan Crha)
	* Listen and act on EBackend's online state changes (Milan Crha)
	* Claim sources even when in offline (Milan Crha)

Translations:
	Мирослав Николић (sr)


Evolution-EWS 3.7.90 2013-02-18
-------------------------------

Bug Fixes:
	Bug 668489 - Hide other than mail folders from mailer (Milan Crha)
	Bug 693012 - Meeting invitation update works only the first time
	             (Milan Crha)
	Bug 693306 - Folder types not set when any standard folder is missing
	             (Milan Crha)

Translations:
	Piotr Drąg (pl)
	Enrico Nicoletto (pt_BR)


Evolution-EWS 3.7.5 2013-02-04
------------------------------

Bug Fixes:
	Bug 656377 - Support for public folders (Milan Crha)
	Bug 690474 - Explicitly link to libm (Alexandre Rostovtsev)
	Bug 692688 - Crash in strip_html_tags() (Milan Crha)
	Bug 692705 - Disable reminders for subscribed calendars of other
	             users (Milan Crha)

Translations:
	Marek Černocký (cs)
	Daniel Mustieles (es)
	Piotr Drąg (pl)
	Matej Urbančič (sl)


Evolution-EWS 3.7.4 2013-01-14
------------------------------

Translations:
	Balázs Úr (hu)
	Rafael Ferreira (pt_BR)
	Мирослав Николић (sr)


Evolution-EWS 3.7.3 2012-12-16
------------------------------

Bug Fixes:
	Bug 671893 - Filter by 'Mailing list' doesn't work (Milan Crha)
	Bug 677888 - Notes on Exchange do not show up as Memos (Milan Crha)
	Bug 687874 - Be able to select Sent folder again (Milan Crha)
	Bug 689521 - Delivery notification reply fails to send (Milan Crha)

Other Changes:
	* Unsubscribe should remove also subfolders, if subscribed with
	  them (Milan Crha)
	* Read also CalendarEventDetails from Free/Busy response (Milan Crha)
	* Use version-based GLib/GDK/GTK+ warnings. (Matthew Barnes)
	* Bump GLib requirement to 2.32. (Matthew Barnes)
	* Do not generate a ChangeLog file from 'git log' (Milan Crha)

Translations:
	Marek Černocký (cs)
	Daniel Mustieles (es)
	Sandeep Sheshrao Shedmake (mr)
	Piotr Drąg (pl)
	Matej Urbančič (sl)


Evolution-EWS 3.7.2 2012-11-17
------------------------------

Bug Fixes:
	Bug 686024 - Accepted meeting request sent as tentative (Milan Crha)
	Bug 686228 - Cannot fetch list of addressbooks (Milan Crha)
	Bug 681665 - Crash during fetch of the OAB url (Milan Crha)
	Bug 687228 - Master's ESource change causes rewrite of GAL ESource
	             (Milan Crha)
	Bug 687877 - Trying to search GAL with the "Any field contains" option
	             fails (Milan Crha)
	Bug 686227 - Calendar does repeated ResolveNames requests for the same
	             people (Milan Crha)
	Bug 685795 - Be able to open mailbox of other user (Milan Crha)
	Bug 685795 - Option to subscribe to other user's folder with subfolders
	             (Milan Crha)

Other Changes:
	* Allow changing permissions of a Calendar folder (Milan Crha)
	* Fix XML parsing failure during Free/Busy fetching (Milan Crha)
	* Generate a ChangeLog file in tarballs. (Matthew Barnes)

Translations:
	Marek Černocký (cs)
	Matej Urbančič (sl)
	Мирослав Николић (sr)


Evolution-EWS 3.7.1 2012-10-22
------------------------------

Bug Fixes:
	Bug 686268 - Crash under oal_response_cb() (Milan Crha)

Translations:
	Mario Blättermann (de)
	Gabor Kelemen (hu)
	Andika Triwidada (id)
	Martin Srebotnjak (sl)


Evolution-EWS 3.6.0 2012-09-22
------------------------------

Translations:
	Martin Srebotnjak (sl)


Evolution-EWS 3.5.92 2012-09-17
-------------------------------

Bug Fixes:
	Bug 655774 - Copy sent messages to Sent Items (Milan Crha)
	Bug 680921 - e_shell_window_get_action_group() doesn't return
	             reffed pointer (Milan Crha)
	Bug 682914 - Some messages won't show translated strings
	             (Jiro Matsuzawa)

Other Changes:
	* Make translations work in respective modules (Milan Crha)

Translations:
	Chris Leonard (en_GB)
	Martin Srebotnjak (sl)
	Piotr Drąg (pl)


Evolution-EWS 3.5.91 2012-09-03
-------------------------------

Bug Fixes:
	Bug 675730 - Crash on book backend regular update (Milan Crha)
	Bug 682020 - Crash when fetching GAL list in account properties
	             (Milan Crha)

Other Changes:
	* Make use of SOUP_MESSAGE_IDEMPOTENT SoupMessage flag, if
	  available (Milan Crha)
	* Support both new and old xmlOutputBuffer APIs (Milan Crha)
	* Implement CamelFolder::get_message_cached() (Milan Crha)
	* Do not update folder structure in source registry for disabled
	  accounts (Milan Crha)
	* Do not overwrite user's changes on GAL ESource (Milan Crha)

Translations:
	Javier Mazorra (es)
	Piotr Drąg (pl)


Evolution-EWS 3.5.90 2012-08-20
-------------------------------

Bug Fixes:
	Bug 670458 - Unable to accept meeting request (Milan Crha)
	Bug 674321 - Support for password expiration information (Vibha Yadav)
	Bug 681544 - Crash on failed autodiscovery (Milan Crha)

Other Changes:
	* Add version information to CamelEwsStoreSummary (Milan Crha)
	* Implement "Subscribe to folder of other user" feature (Milan Crha)
	* Set CamelEwsSettings::email on successful autodiscover (Milan Crha)
	* Re-add foreign calendar/tasks/book sources on initial collection
	  setup (Milan Crha)
	* Do not add owner's folders under 'Mailbox - User Name' folder
	  (Milan Crha)

Translations:
	Javier Mazorra (es)
	Matej Urbančič (sl)


Evolution-EWS 3.5.5 2012-08-06
------------------------------

Bug Fixes:
	Bug 656376 - Support for delegation (Milan Crha)
	Bug 656709 - Excessive updates being sent to server (Milan Crha)
	Bug 665986 - Crash when failed to get a message from a server
	             (Milan Crha)
	Bug 669460 - Can pick freed connection (Milan Crha)
	Bug 670506 - Task is adding time to due date from somewhere
	             (Milan Crha)
	Bug 673095 - Should call SoupSessionAsync functions in soup thread
	             only (Milan Crha)
	Bug 675285 - Crash on deleted event move (Milan Crha)
	Bug 675442 - Crash in ews_active_job_done() (Milan Crha)
	Bug 678464 - Default GAL needs a non-NULL resource ID (Matthew Barnes)
	Bug 680153 - Crash under message_info_from_db() (Milan Crha)
	Bug 680525 - Deadlock in calendar when locking priv structure
	             (Milan Crha)
	Bug 680683 - Do not block factory's main thread (Milan Crha)
	Bug 680960 - Invalid g_object_ref() call on evolution start
	             (Matthew Barnes)

Other Changes:
	* Support remote folder creation and deletion. (Matthew Barnes)
	* Use template files to generate GEnumClass types. (Matthew Barnes)
	* Finish rewriting the "Out of Office" config page. (Matthew Barnes)
	* Remove the remaining account setup EPlugin code. (Matthew Barnes)
	* Be able to read/write folder permissions (Milan Crha)
	* Do not save unchanged Out-Of-Office settings (Milan Crha)
	* CamelEwsStoreSummary: Store enum values by their nickname.
	  (Matthew Barnes)

Translations:
	Daniel Mustieles (es)


Evolution-EWS 3.5.4 2012-07-16
------------------------------

Bug Fixes:
	Bug 663383 - Doesn't allow to quit (Milan Crha)
	Bug 677007 - Add Basic authentication type (Milan Crha)
	Bug 679303 - Doesn't detect when password has changed (Milan Crha)
	Bug 679305 - EX addresses not decoded in folder summary (Milan Crha)
	Bug 679305 - EX addresses not decoded in folder summary (Milan Crha)

Other Changes:
	* Fix crasher in oal_response_cb(). (Matthew Barnes)
	* Add "Connection timeout" option into mail account properties
	  (Milan Crha)
	* Rework SOAP response handling. (Matthew Barnes)


Evolution-EWS 3.5.3 2012-06-25
------------------------------

Bug Fixes:
	Bug 654543 - Mark as junk doesn't work (Milan Crha)
	Bug 673408 - Crash in get_attachments_response_cb() (Milan Crha)
	Bug 674599 - Crash on contact view open (Milan Crha)
	Bug 676081 - Deleted message not deleted from server (network issue)
	             (Milan Crha)
	Bug 677398 - Can get stuck in e_book_backend_ews_authenticate_user()
	             (Milan Crha)
	Bug 677531 - May skip empty vCards in GAL (Milan Crha)
	Bug 678321 - Bug in usage of signed/unsigned crashes downloading of
	             GAL (derolf)

Other Changes:
	* Adapt to the new ESource API. (Matthew Barnes)
	* Adapt to single-include E-D-S libraries. (Matthew Barnes)
	* ebews_start_gal_sync(): Avoid crash when EwsOALDetails list is NULL.
	  (Matthew Barnes)
	* Drop gconf-2.0 dependency. (Matthew Barnes)
	* Bump minimum gtk+-3.0 requirement to 3.0. (Matthew Barnes)
	* Do not call g_object_notify() when property didn't change
	  (Milan Crha)

Translations:
	Daniel Mustieles (es)
	Bruno Brouard (fr)
	Rūdolfs Mazurs (lv)
	Matej Urbančič (sl)


Evolution-EWS 3.5.1 2012-04-30
------------------------------

Bug Fixes:
	Bug 653631 - Empty trash doesn't work (Milan Crha)
	Bug 659717 - free busy not working (Punit Jain)
	Bug 661436 - Search is required for GAL (Milan Crha)
	Bug 661979 - Crash in e_ews_connection_sync_folder_items_start
	             (Milan Crha)
	Bug 664637 - Deleted messages appear in Inbox (Milan Crha)
	Bug 668555 - Crash in ews_cal_sync_items_ready_cb (Punit Jain)
	Bug 670217 - Doesn't show all calendar events (Milan Crha)
	Bug 670457 - Add bulk methods to ECalClient (Milan Crha)
	Bug 670944 - Option to handle out of office without date range
	             (Punit Jain)
	Bug 671624 - crash in e_ews_folder_get_folder_type (Punit Jain)
	Bug 671969 - Crash in g_thread_join, e_ews_connection_dispose
	             (Milan Crha)
	Bug 672175 - Make CamelFolderSearch cancellable (Milan Crha)
	Bug 672448 - compiler warnings when flag is set to O2 (Punit Jain)
	Bug 672448 - memory corruption related and other issues (Punit Jain)
	Bug 673349 - Missing charset breaks setting of utf-8 strings
	             (Milan Crha)

Miscellaneous Changes:
	Fix compiler warning for portability (Vibha Yadav)
	Fix possible crash at the end of autodiscovery (Milan Crha)
	Report errors from backends in their error domain (Milan Crha)

Translations:
	Marek Černocký (cs)
	Daniel Mustieles (es)
	Bruno Brouard (fr)
	Fran Diéguez (gl)
	Matej Urbančič (sl)
	Мирослав Николић (sr)


Evolution-EWS 3.4.0 2012-03-26
------------------------------

Translations:
	Marek Černocký (cs)
	Joe Hansen (da)
	Мирослав Николић (sr)


Evolution-EWS 3.3.92 2012-03-19
-------------------------------

Bug Fixes:
	Bug 665801 - Fix a corner case for a leak fix from bug #665801 (Milan Crha)
	Bug 660428 - Some calendars/task lists are missing after reconfiguring account (Milan Crha)
	Bug 667849 - Unable to open Contacts address book (Milan Crha)

Miscellaneous Fixes:
	Use e_book_backend_foreach_view for notifying status messages to all the views. (Chenthill Palanisamy)
	Suppress deprecation warnings. (Matthew Barnes)

Translations:
	Gabor Kelemen (hu)
	Piotr Drąg (pl)

Evolution-EWS 3.3.90 2012-02-20
-------------------------------

Bug Fixes:
        Bug 656375 Out of Office Implementation (Punit Jain)
        Bug 668174 unable to create appointments and meetings (Punit Jain)
        Bug 654810 conversion of evolution query to ews restriction and test function (Punit Jain)
        Bug 654810 finditem API implementation (Punit Jain)
        Bug 654822 set system folder flags using getfolder operation (Punit Jain)
        Bug 658347 - Harmonize mnemonic for "Check new messages for Junk contents" (Milan Crha)
        Bug 664749 - Cannot send message "Service not connected" (Milan Crha)
        Bug 665801 - Crash in SoupSessionAsync::finalize (David Woodhouse)
        Bug 669338 - Wrong Content-Type in Autodiscover xml soap (David Woodhouse)

Miscellaneous Fixes:
        Updated POTFILES.in (Piotr Drąg)

Translations:
        Matej Urbančič (sl)
        Marek Černocký (cs)
        Daniel Mustieles (es)
        Gonzalo Sanhueza (es)


Evolution-EWS 3.3.5 2012-02-05
------------------------------

Bug Fixes:
	(none)

Other Changes:
	* Adapt to libemail-engine. (Matthew Barnes)


Evolution-EWS 3.3.4 2012-01-16
------------------------------

Bug Fixes:
	Bug 665104 - Possible memory leaks (Vibha Yadav)
	Bug 665533 - OAB caching not working (Punit Jain)
	Bug 667185 - Menu items from plugins not translated (Milan Crha)

Translations:
	Nicolás Satragno (es)
	Kjartan Maraas (nb)


Evolution-EWS 3.3.3 2011-12-19
------------------------------

Bug Fixes:
	Bug 659679 - Password management- Clicking 'ok' without entering a password doesn't bring up a message (Chenthill Palanisamy)
	Bug 665065 - Updates changed items forever (Milan Crha)
	Bug 664637 - Deleted messages appear in Inbox (David Woodhouse)
	Bug 656376 - Support for delegation (Vibha Yadav)
	Bug 664116 - "Fetch URL" doesn't always work (Milan Crha)
	Bug 664572 - Change e_cal_backend_notify_component* to use ECalComponent (Milan Crha)
	Bug 648877 - Address completion gives mailbox name rather than contact name (Milan Crha)
	Bug 663379 - Cannot configure EWS account on 3.3.1 (Milan Crha)
	Bug 654940 - Fetch url even works in offline (Chenthill Palanisamy)
	Bug 661537 - Crash in e_book_backend_sqlitedb_get_is_populated at e-book-backend-sqlitedb.c:1726 (Chenthill Palanisamy)

Miscellaneous Fixes:
	Fix address-book to display contents without error. Make a dummy get_folder request on the distinguished folder "contacts" 
	 to make sure we have a valid connection. The duplicate requests can be avoided once we have a EClientStore implemented or if 
	 e_ews_connection_new can handle it. (Chenthill Palanisamy)
	Implement GetFolder request. Refactor the code to request for additional properties. (Chenthill Palanisamy)
	Remove all *_DISABLE_DEPRECATED_FLAGS. (Matthew Barnes)
	Remove GSEAL_ENABLE macro. (Matthew Barnes)

Translations:
	Matej Urbančič (sl)
	Daniel Mustieles (es)


Evolution-EWS 3.3.2 2011-11-21
------------------------------

Bug Fixes:
	Bug 657320 - Set/Modify Birthday of Contact (Vibha Yadav)
	Bug 661528 - g_ascii_strcasecmp: assertion `s2 != NULL' failed
	             (Vibha Yadav)
	Bug 661972 - Crash in ews_book_remove_contact_cb at
	             e-book-backend-ews.c:881 (Chenthill Palanisamy)
	Bug 662598 - Store server folder cache in user's cache directory
	             (Milan Crha)

Other Changes:
	* Remove g_thread_init() calls. (Matthew Barnes)
	* Distribute 'xz' tar archives instead of gzip. (Matthew Barnes)
	* Fix default-enable of AM_MAINTAINER_MODE (David Woodhouse)
	* Do not use deprecated g_atexit. (Chenthill Palanisamy)

Translations:
	Marek Černocký (cs)
	Daniel Mustieles (es)
	Zoltan Mezi (hu)
	Matej Urbančič (sl)


Evolution-EWS 3.3.1 2011-10-24
------------------------------

Miscellaneous Changes:
	* Adapt to various API changes. (Milan Crha, Matthew Barnes)
	* Prefill Host URL when creating new account (Milan Crha)
	* Use SHA256 of EWS ItemId for cache filename, not the ItemId itself.
	  (David Woodhouse)

Translations:
	Mario Blättermann (de)

